Index: general/prog/new-perl-modules.xml
===================================================================
--- general/prog/new-perl-modules.xml	(revision 4ecca8544d7379bc59f765d516a42c86455c9a04)
+++ 	(revision )
@@ -1,472 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
-   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
-  <!ENTITY % general-entities SYSTEM "../../general.ent">
-  %general-entities;
-]>
-
-<sect1 id="new-perl-modules" xreflabel="Perl Modules">
-  <?dbhtml filename="new-perl-modules.html" ?>
-
-  <sect1info>
-    <othername>$LastChangedBy$</othername>
-    <date>$Date$</date>
-  </sect1info>
-
-  <title>Perl Modules</title>
-
-  <indexterm zone="new-perl-modules">
-    <primary sortas="a-perl-Modules">Perl Modules</primary>
-  </indexterm>
-
-  <sect2 role="package">
-    <title>Introduction to Perl Modules</title>
-
- <!-- note for editors:
-      When testing the dependencies for a new/updated module, it is possible
-      to build the dependencies in a directory, then do DESTDIR installs.
-      For packages using Module::Build, supply \-\-destdir= (lower case!)
-      AFTER the command.  Repeat as necessary.  At any one time, ALL deps for
-      the module being tested need to be in the same DESTDIR - it may be
-      convenient to copy the contents, e.g.
- cp -av MODULEA/usr/lib/perl5/site_perl/5.xx.y/* BATCH1/usr/lib/perl5/site_perl/5.xx.y/
-
-      And then to use these deps (plus what is already installed),
-      export PERL5LIB=/ab/path/to/BATCH1/usr/lib/perl5/site_perl/5.xx.y
-
-      Please be aware that not all non-core prerequisite deps are necessarily
-      needed.  If 'use Foo::Bar' appears in one of the main files in lib/ or blib/
-      it is assumed to be needed.  But if it only gets used in tests (t/) then
-      please try without it to see if the tests can still pass. -->
-
-    <para>
-      The <application>Perl</application> module packages (also referred to as
-      Distributions, because each can contain multiple modules) add useful
-      objects to the <application>Perl</application> language. The packages
-      listed on this page are required or recommended for other packages in
-      the book. If they have dependent modules, those are either on this page
-      or else on the next page (<xref linkend="perl-deps"/>).
-   </para>
-
-    <para>
-      In many cases, only the required or recommended dependencies are listed -
-      there might be other modules which allow more tests to be run, but
-      omitting them will still allow the tests to <literal>PASS</literal>.
-    </para>
-
-    <para>
-      For a few modules, the BLFS editors have determined that other modules
-      still listed as prerequisites are not required, and omitted them.
-    </para>
-
-    <para>
-      Where an alphabetically-earlier dependency of the same module pulls in a
-      dependency, it is not mentioned for the later dependencies of the same
-      module. You should build the listed dependencies in order.
-    </para>
-
-    <para>
-      It is generally worth running the tests for perl modules, they often
-      can show problems such as missing dependencies which are required to
-      use the module.  Here, the editors have attempted to separate those
-      dependencies which are only required for running testsuites, but they
-      will not be mentioned for a module where one of its dependencies uses
-      that module for its own testsuite.  That is to say, if you intend to
-      run the testsuites, please run them for each dependency of the module.
-    </para>
-
-    <para>
-      It is possible to automatically install the current versions of a module
-      and <emphasis>all</emphasis> missing or too-old dependencies
-      <emphasis>recommended by upstream</emphasis> using CPAN. See
-      <xref linkend="perl-alternatives"/> at the end of this page.
-    </para>
-
-    <para>
-      Most of these modules only install files below <filename
-      class="directory">/usr/lib/perl5/site_perl/5.xx.y</filename> and those will
-      not be documented. One or two install programs (mostly, perl scripts), or
-      a library, into <filename class="directory">/usr/bin/</filename> or
-      <filename class="directory">/usr/lib/</filename> and these
-      <emphasis>are</emphasis> documented.
-    </para>
-
-    <para condition="html" role="usernotes">User Notes:
-      <ulink url="&blfs-wiki;/perl-modules"/>
-    </para>
-
-    <itemizedlist spacing="compact">
-      <listitem>
-        <para>
-          <xref linkend="new-perl-archive-zip"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-autovivification"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-business-isbn"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-business-ismn"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-business-issn"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-class-accessor"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-data-compare"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-data-dump"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-data-uniqid"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-datetime-calendar-julian"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-datetime-format-builder"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-encode-eucjpascii"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-encode-hanextra"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-encode-jis2k"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-error"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-file-slurper"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-file-which"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-html-parser"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-http-daemon"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-io-socket-ssl"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-ipc-run3"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-lingua-translit"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-list-allutils"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-list-moreutils"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-log-log4perl"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-lwp-protocol-https"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-module-build"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-net-dns"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-parse-yapp"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-perlio-utf8_strict"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-regexp-common"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-sgmlspm"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-sort-key"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-test-command"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-test-differences"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-text-bibtex"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-text-csv"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-text-roman"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-unicode-collate"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-unicode-linebreak"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-uri"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-xml-libxml-simple"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-xml-libxslt"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-xml-simple"/>
-        </para>
-      </listitem>
-      <listitem>
-        <para>
-          <xref linkend="new-perl-xml-writer"/>
-        </para>
-      </listitem>
-      <!-- alternative cpan installation stays at the end -->
-      <listitem>
-        <para>
-          <xref linkend="perl-alternatives"/>
-        </para>
-      </listitem>
-    </itemizedlist>
-  </sect2>
-
-  <!-- and keep these in the same order as above -->
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-archive-zip.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-autovivification.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-business-isbn.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-business-ismn.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-business-issn.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-class-accessor.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-data-compare.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-data-dump.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-data-uniqid.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-datetime-calendar-julian.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-datetime-format-builder.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-encode-eucjpascii.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-encode-hanextra.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-encode-jis2k.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-error.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-file-slurper.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-file-which.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-html-parser.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-http-daemon.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-io-socket-ssl.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-ipc-run3.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-lingua-translit.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-list-allutils.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-list-moreutils.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-log-log4perl.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-lwp-protocol-https.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-module-build.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-net-dns.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-parse-yapp.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-perlio-utf8_strict.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-regexp-common.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-sgmlspm.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-sort-key.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-test-command.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-test-differences.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-text-bibtex.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-text-csv.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-text-roman.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-unicode-collate.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-unicode-linebreak.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-uri.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-xml-libxml-simple.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-xml-libxslt.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-xml-simple.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-modules/perl-xml-writer.xml"/>
-
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-    href="perl-alternatives.xml"/>
-
-</sect1>
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 33a89d2d57bb6706a4fc2467984acd29d4113b58)
+++ general/prog/perl-modules.xml	(revision 33a89d2d57bb6706a4fc2467984acd29d4113b58)
@@ -0,0 +1,472 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+]>
+
+<sect1 id="new-perl-modules" xreflabel="Perl Modules">
+  <?dbhtml filename="new-perl-modules.html" ?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>Perl Modules</title>
+
+  <indexterm zone="new-perl-modules">
+    <primary sortas="a-perl-Modules">Perl Modules</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to Perl Modules</title>
+
+ <!-- note for editors:
+      When testing the dependencies for a new/updated module, it is possible
+      to build the dependencies in a directory, then do DESTDIR installs.
+      For packages using Module::Build, supply \-\-destdir= (lower case!)
+      AFTER the command.  Repeat as necessary.  At any one time, ALL deps for
+      the module being tested need to be in the same DESTDIR - it may be
+      convenient to copy the contents, e.g.
+ cp -av MODULEA/usr/lib/perl5/site_perl/5.xx.y/* BATCH1/usr/lib/perl5/site_perl/5.xx.y/
+
+      And then to use these deps (plus what is already installed),
+      export PERL5LIB=/ab/path/to/BATCH1/usr/lib/perl5/site_perl/5.xx.y
+
+      Please be aware that not all non-core prerequisite deps are necessarily
+      needed.  If 'use Foo::Bar' appears in one of the main files in lib/ or blib/
+      it is assumed to be needed.  But if it only gets used in tests (t/) then
+      please try without it to see if the tests can still pass. -->
+
+    <para>
+      The <application>Perl</application> module packages (also referred to as
+      Distributions, because each can contain multiple modules) add useful
+      objects to the <application>Perl</application> language. The packages
+      listed on this page are required or recommended for other packages in
+      the book. If they have dependent modules, those are either on this page
+      or else on the next page (<xref linkend="perl-deps"/>).
+   </para>
+
+    <para>
+      In many cases, only the required or recommended dependencies are listed -
+      there might be other modules which allow more tests to be run, but
+      omitting them will still allow the tests to <literal>PASS</literal>.
+    </para>
+
+    <para>
+      For a few modules, the BLFS editors have determined that other modules
+      still listed as prerequisites are not required, and omitted them.
+    </para>
+
+    <para>
+      Where an alphabetically-earlier dependency of the same module pulls in a
+      dependency, it is not mentioned for the later dependencies of the same
+      module. You should build the listed dependencies in order.
+    </para>
+
+    <para>
+      It is generally worth running the tests for perl modules, they often
+      can show problems such as missing dependencies which are required to
+      use the module.  Here, the editors have attempted to separate those
+      dependencies which are only required for running testsuites, but they
+      will not be mentioned for a module where one of its dependencies uses
+      that module for its own testsuite.  That is to say, if you intend to
+      run the testsuites, please run them for each dependency of the module.
+    </para>
+
+    <para>
+      It is possible to automatically install the current versions of a module
+      and <emphasis>all</emphasis> missing or too-old dependencies
+      <emphasis>recommended by upstream</emphasis> using CPAN. See
+      <xref linkend="perl-alternatives"/> at the end of this page.
+    </para>
+
+    <para>
+      Most of these modules only install files below <filename
+      class="directory">/usr/lib/perl5/site_perl/5.xx.y</filename> and those will
+      not be documented. One or two install programs (mostly, perl scripts), or
+      a library, into <filename class="directory">/usr/bin/</filename> or
+      <filename class="directory">/usr/lib/</filename> and these
+      <emphasis>are</emphasis> documented.
+    </para>
+
+    <para condition="html" role="usernotes">User Notes:
+      <ulink url="&blfs-wiki;/perl-modules"/>
+    </para>
+
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          <xref linkend="new-perl-archive-zip"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-autovivification"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-business-isbn"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-business-ismn"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-business-issn"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-class-accessor"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-data-compare"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-data-dump"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-data-uniqid"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-datetime-calendar-julian"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-datetime-format-builder"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-encode-eucjpascii"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-encode-hanextra"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-encode-jis2k"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-error"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-file-slurper"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-file-which"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-html-parser"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-http-daemon"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-io-socket-ssl"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-ipc-run3"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-lingua-translit"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-list-allutils"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-list-moreutils"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-log-log4perl"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-lwp-protocol-https"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-module-build"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-net-dns"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-parse-yapp"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-perlio-utf8_strict"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-regexp-common"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-sgmlspm"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-sort-key"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-test-command"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-test-differences"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-text-bibtex"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-text-csv"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-text-roman"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-unicode-collate"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-unicode-linebreak"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-uri"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-xml-libxml-simple"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-xml-libxslt"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-xml-simple"/>
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          <xref linkend="new-perl-xml-writer"/>
+        </para>
+      </listitem>
+      <!-- alternative cpan installation stays at the end -->
+      <listitem>
+        <para>
+          <xref linkend="perl-alternatives"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+  </sect2>
+
+  <!-- and keep these in the same order as above -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-archive-zip.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-autovivification.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-business-isbn.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-business-ismn.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-business-issn.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-class-accessor.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-data-compare.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-data-dump.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-data-uniqid.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-datetime-calendar-julian.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-datetime-format-builder.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-encode-eucjpascii.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-encode-hanextra.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-encode-jis2k.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-error.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-file-slurper.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-file-which.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-html-parser.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-http-daemon.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-io-socket-ssl.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-ipc-run3.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-lingua-translit.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-list-allutils.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-list-moreutils.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-log-log4perl.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-lwp-protocol-https.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-module-build.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-net-dns.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-parse-yapp.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-perlio-utf8_strict.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-regexp-common.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-sgmlspm.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-sort-key.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-test-command.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-test-differences.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-text-bibtex.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-text-csv.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-text-roman.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-unicode-collate.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-unicode-linebreak.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-uri.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-xml-libxml-simple.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-xml-libxslt.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-xml-simple.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-modules/perl-xml-writer.xml"/>
+
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
+    href="perl-alternatives.xml"/>
+
+</sect1>
Index: general/prog/prog.xml
===================================================================
--- general/prog/prog.xml	(revision 4ecca8544d7379bc59f765d516a42c86455c9a04)
+++ general/prog/prog.xml	(revision 33a89d2d57bb6706a4fc2467984acd29d4113b58)
@@ -49,7 +49,6 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="ninja.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="npapi-sdk.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="new-perl-modules.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="perl-modules.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="perl-deps.xml"/>
-<!-- <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="perl-modules.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="php.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="python2.xml"/>