Index: basicnet/textweb/links/links-intro.xml
===================================================================
--- basicnet/textweb/links/links-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ basicnet/textweb/links/links-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <para><xref linkend="gpm"/>, <xref linkend="openssl"/>, <xref linkend="libpng"/>,
 <xref linkend="libjpeg"/>, <xref linkend="libtiff"/>, <xref linkend="SVGAlib"/> 
-and <xref linkend="xfree86"/></para></sect4>
+and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>).</para></sect4>
 </sect3>
 
Index: general/genutils/imagemagick/imagemagick-intro.xml
===================================================================
--- general/genutils/imagemagick/imagemagick-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/genutils/imagemagick/imagemagick-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -25,5 +25,5 @@
 <sect4><title>Recommended</title>
 <para>
-<xref linkend="xfree86"/> and
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and
 <xref linkend="espgs"/>
 </para></sect4>
Index: general/graphlib/aalib/aalib-intro.xml
===================================================================
--- general/graphlib/aalib/aalib-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/graphlib/aalib/aalib-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <sect3><title><application>AAlib</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="xfree86"/> and <xref linkend="slang"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and <xref linkend="slang"/></para></sect4>
 </sect3>
 
Index: general/graphlib/imlib2/imlib2-intro.xml
===================================================================
--- general/graphlib/imlib2/imlib2-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/graphlib/imlib2/imlib2-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -16,5 +16,5 @@
 <sect3><title><application>Imlib2</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/> and <xref linkend="libjpeg"/>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and <xref linkend="libjpeg"/>
 </para></sect4>
 <sect4><title>Optional</title>
Index: general/prog/jdk/j2sdk-intro.xml
===================================================================
--- general/prog/jdk/j2sdk-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/prog/jdk/j2sdk-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -66,5 +66,5 @@
 <sect3><title><application>J2SDK</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>, <xref linkend="zip"/>, <xref
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="zip"/>, <xref
 linkend="unzip"/>, <xref linkend="cpio"/>, <xref linkend="alsa"/>,
 and <xref linkend="tcsh"/>
Index: general/prog/tk/tk-intro.xml
===================================================================
--- general/prog/tk/tk-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/prog/tk/tk-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <sect3><title><application>Tk</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/> and <xref linkend="tcl"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and <xref linkend="tcl"/></para></sect4>
 </sect3>
 
Index: general/sysutils/mc/mc-intro.xml
===================================================================
--- general/sysutils/mc/mc-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ general/sysutils/mc/mc-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -26,5 +26,5 @@
 <para>
 <xref linkend="gpm"/>,
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="samba3"/>,
 <xref linkend="slang"/>,
Index: gnome/core/libgtop/libgtop-intro.xml
===================================================================
--- gnome/core/libgtop/libgtop-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ gnome/core/libgtop/libgtop-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -24,5 +24,5 @@
 <para>
 <xref linkend="popt"/> and
-<xref linkend="xfree86"/>
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)
 </para></sect4>
 </sect3>
Index: index.xml
===================================================================
--- index.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ index.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -3,7 +3,7 @@
 			"/usr/share/docbook/docbookx.dtd" [
 
-<!ENTITY version "CVS-20040512">
-<!ENTITY releasedate "May 12th, 2004">
-<!ENTITY pubdate "2004-05-12">
+<!ENTITY version "CVS-20040513">
+<!ENTITY releasedate "May 13th, 2004">
+<!ENTITY pubdate "2004-05-13">
 <!ENTITY blfs-version "cvs">
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ introduction/welcome/changelog.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -11,4 +11,7 @@
 
 <itemizedlist>
+
+<listitem><para>May 13th, 2004 [igor]: Reclassified all dependencies
+to XFree86 as dependencies to either XFree86 or Xorg.</para></listitem>
 
 <listitem><para>May 12th, 2004 [igor]: Added GOK-0.10.2 and
Index: multimedia/libdriv/libao/libao-intro.xml
===================================================================
--- multimedia/libdriv/libao/libao-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/libdriv/libao/libao-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -24,5 +24,5 @@
 <sect3><title><application>libao</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="xfree86"/>, <xref linkend="esound"/>, <xref
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="esound"/>, <xref
 linkend="alsa"/>, <xref linkend="arts"/> and <xref linkend="nas"/>
 </para></sect4>
Index: multimedia/libdriv/libdv/libdv-intro.xml
===================================================================
--- multimedia/libdriv/libdv/libdv-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/libdriv/libdv/libdv-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -16,6 +16,6 @@
 <sect3><title><application>libdv</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="popt"/>, <xref linkend="SDL"/>, <xref linkend="GTK"/> and <xref
-linkend="xfree86"/>
+<para><xref linkend="popt"/>, <xref linkend="SDL"/>, <xref linkend="GTK"/> and X (<xref
+linkend="xfree86"/> or <xref linkend="xorg"/>).
 </para></sect4>
 </sect3>
Index: multimedia/libdriv/nas/nas-intro.xml
===================================================================
--- multimedia/libdriv/nas/nas-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/libdriv/nas/nas-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -22,5 +22,5 @@
 <sect3><title><application>NAS</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)
 </para></sect4>
 </sect3>
Index: multimedia/libdriv/sdl/sdl-intro.xml
===================================================================
--- multimedia/libdriv/sdl/sdl-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/libdriv/sdl/sdl-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -23,5 +23,5 @@
 <xref linkend="nas"/>,
 <xref linkend="NASM"/>, 
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="aalib"/>,
 <xref linkend="DirectFB"/> and
Index: multimedia/libdriv/xine-lib/xine-lib-intro.xml
===================================================================
--- multimedia/libdriv/xine-lib/xine-lib-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/libdriv/xine-lib/xine-lib-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -17,5 +17,5 @@
 <sect3><title><application>xine Libraries</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/> and <xref linkend="esound"/> or
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and <xref linkend="esound"/> or
 <acronym>OSS</acronym> or <xref linkend="alsa"/> or <xref
 linkend="arts"/></para></sect4>
Index: multimedia/videoutils/ffmpeg/ffmpeg-exp.xml
===================================================================
--- multimedia/videoutils/ffmpeg/ffmpeg-exp.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/videoutils/ffmpeg/ffmpeg-exp.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -13,5 +13,5 @@
 
 <para><option>--disable-ffplay</option>: Only installs the server part.
-<command>ffplay</command> requires <xref linkend="xfree86"/> for building.</para>
+<command>ffplay</command> requires X for building.</para>
 
 </sect2>
Index: multimedia/videoutils/ffmpeg/ffmpeg-intro.xml
===================================================================
--- multimedia/videoutils/ffmpeg/ffmpeg-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/videoutils/ffmpeg/ffmpeg-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -17,5 +17,5 @@
 <sect4><title>Optional</title>
 <para><xref linkend="libvorbis"/>, <xref linkend="lame"/>,
-<xref linkend="xfree86"/>, <xref linkend="SDL"/> and <xref linkend="freetype2"/>
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="SDL"/> and <xref linkend="freetype2"/>
 </para></sect4>
 </sect3>
Index: multimedia/videoutils/mplayer/mplayer-intro.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -35,5 +35,5 @@
 <sect4><title>Optional</title>
 <para>
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="libpng"/>,
 <xref linkend="libjpeg"/>,
Index: multimedia/videoutils/transcode/transcode-intro.xml
===================================================================
--- multimedia/videoutils/transcode/transcode-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ multimedia/videoutils/transcode/transcode-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -23,5 +23,5 @@
 <xref linkend="NASM"/>,
 <xref linkend="lame"/>,
-<xref linkend="xfree86"/>, 
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="mplayer"/>,
 <xref linkend="imagemagick"/>, 
Index: postlfs/editors/emacs/emacs-intro.xml
===================================================================
--- postlfs/editors/emacs/emacs-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ postlfs/editors/emacs/emacs-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <sect3><title><application>Emacs</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="xfree86"/>, <xref linkend="libjpeg"/>, <xref
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="libjpeg"/>, <xref
 linkend="libpng"/>, <xref linkend="libtiff"/> and <xref
 linkend="libungif"/></para></sect4>
Index: postlfs/editors/vim/vim-intro.xml
===================================================================
--- postlfs/editors/vim/vim-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ postlfs/editors/vim/vim-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -26,5 +26,5 @@
 <sect3><title><application>Vim</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 <sect4><title>Optional</title>
 <para><xref linkend="GTK2"/> or <xref linkend="lesstif"/>,
Index: postlfs/security/heimdal/heimdal-intro.xml
===================================================================
--- postlfs/security/heimdal/heimdal-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ postlfs/security/heimdal/heimdal-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -47,6 +47,5 @@
 <xref linkend="Linux_PAM"/>,
 <xref linkend="openldap"/>,
-<xref linkend="xorg"/> or
-<xref linkend="xfree86"/>,
+X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>),
 <xref linkend="cracklib"/> and
 <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>
Index: pst/printing/espgs/espgs-intro.xml
===================================================================
--- pst/printing/espgs/espgs-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ pst/printing/espgs/espgs-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -43,5 +43,5 @@
 <sect4><title>Optional</title>
 <para><xref linkend="cups"/>, <xref linkend="libjpeg"/>, <xref
-linkend="libpng"/>, <xref linkend="xfree86"/>, <xref
+linkend="libpng"/>, X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref
 linkend="GLib"/>, <xref linkend="GTK"/> and
 <xref linkend="gimp-print"/>
Index: pst/printing/gs/gs-intro.xml
===================================================================
--- pst/printing/gs/gs-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ pst/printing/gs/gs-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -29,5 +29,5 @@
 <sect4><title>Optional</title>
 <para><xref linkend="libjpeg"/>, <xref linkend="libpng"/>, <xref
-linkend="GTK"/> and <xref linkend="xfree86"/></para></sect4>
+linkend="GTK"/> and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 </sect3>
 
Index: pst/scanning/gocr/gocr-intro.xml
===================================================================
--- pst/scanning/gocr/gocr-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ pst/scanning/gocr/gocr-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -25,5 +25,5 @@
 <sect3><title><application>GOCR</application> dependencies</title>
 <sect4><title>Optional</title>
-<para><xref linkend="pst-typesetting-tex"/> or fig2dev (for examples), <xref linkend="xfree86"/> and <xref linkend="GTK"/> (for front end only)</para></sect4>
+<para><xref linkend="pst-typesetting-tex"/> or fig2dev (for examples), X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and <xref linkend="GTK"/> (for front end only)</para></sect4>
 </sect3>
 
Index: pst/scanning/sane/sane-intro.xml
===================================================================
--- pst/scanning/sane/sane-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ pst/scanning/sane/sane-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -36,5 +36,5 @@
 <ulink url="http://cyberelk.net/tim/libieee1284/">libieee1284</ulink>,
 <ulink url="http://www.gphoto.org/">gPhoto2</ulink>,
-<xref linkend="xfree86"/>, <xref linkend="GTK"/> and <xref
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="GTK"/> and <xref
 linkend="gimp"/></para></sect4>
 </sect3>
Index: server/mail/exim/exim-intro.xml
===================================================================
--- server/mail/exim/exim-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ server/mail/exim/exim-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <sect4><title>Optional</title>
 <para>
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="openldap"/>,
 <xref linkend="mysql"/>,
Index: server/other/openssh/openssh-intro.xml
===================================================================
--- server/other/openssh/openssh-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ server/other/openssh/openssh-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -22,5 +22,5 @@
 <xref linkend="Linux_PAM"/>,
 <xref linkend="tcpwrappers"/>,
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <ulink url="http://web.mit.edu/kerberos/www/">MIT Kerberos</ulink> and
 <ulink url="http://www.opensc.org/">OpenSC</ulink>
Index: x/lib/gtk/gtk+-intro.xml
===================================================================
--- x/lib/gtk/gtk+-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/gtk/gtk+-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -19,5 +19,5 @@
 <para><xref linkend="GLib"/>, <xref
 linkend="libtiff"/>, <xref linkend="libjpeg"/>
-and <xref linkend="xfree86"/></para></sect4>
+and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 </sect3>
 
Index: x/lib/gtk2/gtk+2-intro.xml
===================================================================
--- x/lib/gtk2/gtk+2-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/gtk2/gtk+2-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -18,6 +18,5 @@
 <sect4><title>Required</title>
 <para>
-<xref linkend="xorg"/> or
-<xref linkend="xfree86"/>,
+X (<xref linkend="xorg"/> or <xref linkend="xfree86"/>),
 <xref linkend="Pango"/> and
 <xref linkend="ATK"/>
Index: x/lib/lesstif/lesstif-intro.xml
===================================================================
--- x/lib/lesstif/lesstif-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/lesstif/lesstif-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -15,5 +15,5 @@
 <sect3><title><application>LessTif</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 </sect3>
 
Index: x/lib/libxklavier/libxklavier-intro.xml
===================================================================
--- x/lib/libxklavier/libxklavier-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/libxklavier/libxklavier-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -17,5 +17,5 @@
 <sect4><title>Required</title>
 <para>
-<xref linkend="xfree86"/>,
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="pkgconfig"/> and
 <xref linkend="libxml2"/>
Index: x/lib/notification/startup-notification-intro.xml
===================================================================
--- x/lib/notification/startup-notification-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/notification/startup-notification-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -18,5 +18,5 @@
 <sect3><title><application>startup-notification</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 </sect3>
 
Index: x/lib/pango/pango-intro.xml
===================================================================
--- x/lib/pango/pango-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/lib/pango/pango-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -20,5 +20,5 @@
 <sect4><title>Optional</title>
 <para>
-<ulink url="http://freedesktop.org/~fontconfig/release/">Xft</ulink> (included in <xref linkend="xfree86"/>),
+<ulink url="http://freedesktop.org/~fontconfig/release/">Xft</ulink> (included in <xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="freetype2"/>,
 <xref linkend="fontconfig"/> and
Index: x/wm/enlightenment/enlightenment-intro.xml
===================================================================
--- x/wm/enlightenment/enlightenment-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/wm/enlightenment/enlightenment-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -12,5 +12,5 @@
 
 <screen>enlightenment depends on:
-<xref linkend="xfree86"/>, <xref linkend="imlib"/>, <xref linkend="fnlib"/> and freetype-1.3.1  
+X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="imlib"/>, <xref linkend="fnlib"/> and freetype-1.3.1  
 (<xref linkend="x-setup"/>)
 enlightenment will utilize:
Index: x/wm/fluxbox/fluxbox-intro.xml
===================================================================
--- x/wm/fluxbox/fluxbox-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/wm/fluxbox/fluxbox-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -28,5 +28,5 @@
 <sect3><title><application>Fluxbox</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/></para></sect4>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
 </sect3>
 
Index: x/wm/sawfish/sawfish-intro.xml
===================================================================
--- x/wm/sawfish/sawfish-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ x/wm/sawfish/sawfish-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -22,5 +22,5 @@
 <sect3><title><application>sawfish</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>, <xref linkend="librep"/>, <xref
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>), <xref linkend="librep"/>, <xref
 linkend="rep-gtk"/>, <xref linkend="esound"/> and <xref linkend="GTK2"/></para>
 </sect4>
Index: xsoft/suites/openoffice/openoffice-intro.xml
===================================================================
--- xsoft/suites/openoffice/openoffice-intro.xml	(revision 7be1cae115189d1b72338f1435bcda92fedbe88c)
+++ xsoft/suites/openoffice/openoffice-intro.xml	(revision 034abd006066d446d91663a0577da443595ca91f)
@@ -21,5 +21,5 @@
 <sect3><title><application>OpenOffice</application> dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="xfree86"/>
+<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
 <xref linkend="zip"/>, <xref linkend="unzip"/>, <xref linkend="tcsh"/>,
 <xref linkend="which"/></para></sect4>