Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 209ffd56858516cfaab99cba0d9758e5dd450c0b)
+++ general/prog/perl-modules.xml	(revision 35b6a2ee46ce3403c0e087dbf793897f745fc83b)
@@ -22,4 +22,7 @@
   <!ENTITY Business-ISSN-md5sum "004a95c3a44b1c2915ec62cdee66673d">
 
+  <!ENTITY Class-Accessor-download-http "http://www.cpan.org/authors/id/K/KA/KASEI/Class-Accessor-&Class-Accessor-version;.tar.gz">
+  <!ENTITY Class-Accessor-md5sum "0d9640d237a13276145f7e44b4855b89">
+
   <!ENTITY Data-Compare-download-http "http://www.cpan.org/authors/id/D/DC/DCANTRELL/Data-Compare-&Data-Compare-version;.tar.gz">
   <!ENTITY Data-Compare-md5sum "6a397ab5833237f3ca05ed7277b19a7a">
@@ -28,4 +31,7 @@
   <!ENTITY Data-Dump-md5sum "762c111e525c82ff23d62c90821b26e9">
 
+  <!ENTITY Data-Uniqid-download-http "http://www.cpan.org/authors/id/M/MW/MWX/Data-Uniqid-&Data-Uniqid-version;.tar.gz">
+  <!ENTITY Data-Uniqid-md5sum "6bab3b5da09fedfdf60ce2629a7367db">
+
   <!ENTITY Date-Simple-download-http "http://www.cpan.org/authors/id/I/IZ/IZUT/Date-Simple-&Date-Simple-version;.tar.gz">
   <!ENTITY Date-Simple-md5sum "436049dc2c7dfd8423d8bcc807248b31">
@@ -88,4 +94,5 @@
   <!ENTITY Test-Differences-md5sum "ecfda620fe133e36a6e392d94ab8424d">
 
+<!--
   <!ENTITY Test-Pod-download-http "http://www.cpan.org/authors/id/E/ET/ETHER/Test-Pod-&Test-Pod-version;.tar.gz">
   <!ENTITY Test-Pod-md5sum "f806aa84de2f0c0fba48b3a5a8a4aecf">
@@ -93,5 +100,5 @@
   <!ENTITY Test-Pod-Coverage-download-http "http://www.cpan.org/authors/id/N/NE/NEILB/Test-Pod-Coverage-&Test-Pod-Coverage-version;.tar.gz">
   <!ENTITY Test-Pod-Coverage-md5sum "c9ea5f4182415b13d2db18484a38c01b">
-
+-->
   <!ENTITY Text-BibTeX-download-http "http://www.cpan.org/authors/id/A/AM/AMBS/Text-BibTeX-&Text-BibTeX-version;.tar.gz">
   <!ENTITY Text-BibTeX-md5sum "a616d5df23dc0552a85608bd15bf03d1">
@@ -332,4 +339,30 @@
     </itemizedlist>
 
+    <!-- Class::Accessor -->
+    <bridgehead renderas="sect3" id="perl-class-accessor"
+    xreflabel="Class::Accessor-&Class-Accessor-version;">
+    Class::Accessor-&Class-Accessor-version;</bridgehead>
+
+    <indexterm zone="perl-modules perl-class-accessor">
+      <primary sortas="a-Class-Accessor">Class::Accessor</primary>
+    </indexterm>
+
+    <para>This module generators accessors/mutators for your class. It uses
+    the standard <xref linkend="perl-standard-install"/>.</para>
+
+    &lfs79_checked;
+
+    <itemizedlist>
+      <listitem>
+        <para>
+          <ulink url="&Class-Accessor-download-http;">Class::Accessor-&Class-Accessor-version;</ulink>
+        </para>
+      </listitem>
+      <listitem>
+<literallayout>&Class-Accessor-download-http;
+MD5 sum: &Class-Accessor-md5sum;</literallayout>
+      </listitem>
+    </itemizedlist>
+
     <!-- Data::Compare -->
     <bridgehead renderas="sect3" id="perl-data-compare"
@@ -395,4 +428,48 @@
 <literallayout>&Data-Dump-download-http;
 MD5 sum: &Data-Dump-md5sum;</literallayout>
+      </listitem>
+    </itemizedlist>
+
+    <!-- Data::Uniqid -->
+    <bridgehead renderas="sect3" id="perl-data-uniqid"
+    xreflabel="Data::Uniqid-&Data-Uniqid-version;">
+    Data::Uniqid-&Data-Uniqid-version;</bridgehead>
+
+    <indexterm zone="perl-modules perl-data-uniqid">
+      <primary sortas="a-Data-Uniqid">Data::Uniqid</primary>
+    </indexterm>
+
+    <para>This module provides three simple routines for generating unique IDs.
+    It uses the standard <xref linkend="perl-standard-install"/> but requires
+    a patch because one of its tests fails in recent builds.</para>
+
+      <bridgehead renderas="sect4">Additional Download</bridgehead>
+      <itemizedlist spacing="compact">
+        <listitem>
+          <para>
+            Required patch:
+            <ulink url="&patch-root;/Data-Uniqid-&Data-Uniqid-version;-disable_failing_test-1.patch"/>
+          </para>
+        </listitem>
+      </itemizedlist>
+
+    &lfs79_checked;
+
+    <itemizedlist>
+      <listitem>
+        <para>
+          <ulink url="&Data-Uniqid-download-http;">Data-Uniqid-&Data-Uniqid-version;</ulink>
+        </para>
+      </listitem>
+      <listitem>
+<literallayout>&Data-Uniqid-download-http;
+MD5 sum: &Data-Uniqid-md5sum;</literallayout>
+      </listitem>
+      <listitem>
+        <itemizedlist>
+          <listitem> <literallayout><ulink url="http://search.cpan.org/dist/Math-BigInt/">Math::BigInt</ulink>
+(http://search.cpan.org/dist/Math::BigInt/</literallayout>
+          </listitem>
+        </itemizedlist>
       </listitem>
     </itemizedlist>
@@ -1357,5 +1434,5 @@
     </itemizedlist>
 
-    <!-- Test::Pod -->
+    <!-- Test::Pod \-\->
     <bridgehead renderas="sect3" id="perl-test-pod"
     xreflabel="Test::Pod-&Test-Pod-version;">
@@ -1383,7 +1460,7 @@
 MD5 sum: &Test-Pod-md5sum;</literallayout>
       </listitem>
-    </itemizedlist>
-
-    <!-- Test::Pod::Coverage -->
+    </itemizedlist> -->
+
+    <!-- Test::Pod::Coverage \-\->
     <bridgehead renderas="sect3" id="perl-test-pod-coverage"
     xreflabel="Test::Pod::Coverage-&Test-Pod-Coverage-version;">
@@ -1420,5 +1497,5 @@
         </itemizedlist>
       </listitem>
-    </itemizedlist>
+    </itemizedlist> -->
 
     <!-- Text::BibTeX -->
@@ -1999,4 +2076,12 @@
     following commands:</para>
 
+    <para>For <xref linkend="perl-data-uniqid"/>, first apply the required
+    patch with:</para>
+
+<screen><userinput>patch -Np1 -i ../Data-Uniqid-&Data-Uniqid-version;-disable_failing_test-1.patch</userinput></screen>
+
+    <para>Then, or for all other modules using the standard installation, proceed
+    with:</para>
+
 <screen><userinput>perl Makefile.PL &amp;&amp;
 make &amp;&amp;
@@ -2030,6 +2115,4 @@
     Build.PL by running the following commands:</para>
 
-<!-- when Build is removed from the core perl distribution, perhaps in 5.22,
-     Module::Build should be added to this page, and linked from here -->
 <screen><userinput>perl Build.PL &amp;&amp;
 ./Build &amp;&amp;
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 209ffd56858516cfaab99cba0d9758e5dd450c0b)
+++ introduction/welcome/changelog.xml	(revision 35b6a2ee46ce3403c0e087dbf793897f745fc83b)
@@ -49,4 +49,12 @@
       <itemizedlist>
         <listitem>
+          <para>[ken] - Update to biblatex-biber-2.4 with biblatex-3.3,
+          remove perl modules Test-Pod and Test-Pod-Coverage, replace
+          them by Class-Accessor-0.34 and Data-Uniqid-0.12. Fixes
+          <ulink url="&blfs-ticket-root;7513">#7513</ulink>,
+          <ulink url="&blfs-ticket-root;7572">#7572</ulink> and
+          <ulink url="&blfs-ticket-root;7573">#7573</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to libdbusmenu-qt-0.9.3+16.04.20160218. Fixes
           <ulink url="&blfs-ticket-root;7599">#7599</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 209ffd56858516cfaab99cba0d9758e5dd450c0b)
+++ packages.ent	(revision 35b6a2ee46ce3403c0e087dbf793897f745fc83b)
@@ -308,6 +308,8 @@
 <!ENTITY Business-ISMN-version        "1.13">
 <!ENTITY Business-ISSN-version        "1.001">
+<!ENTITY Class-Accessor-version       "0.34">
 <!ENTITY Data-Dump-version            "1.23">
 <!ENTITY Data-Compare-version         "1.25">
+<!ENTITY Data-Uniqid-version          "0.12">
 <!ENTITY Date-Simple-version          "3.03">
 <!ENTITY Encode-EUCJPASCII-version    "0.03">
@@ -330,6 +332,4 @@
 <!ENTITY Test-Command-version         "0.11">
 <!ENTITY Test-Differences-version     "0.64">
-<!ENTITY Test-Pod-version             "1.51">
-<!ENTITY Test-Pod-Coverage-version    "1.10">
 <!ENTITY Text-BibTeX-version          "0.71">
 <!ENTITY Text-Roman-version           "3.5">
@@ -842,6 +842,6 @@
 <!ENTITY texlive-year                 "2015">
 <!ENTITY asymptote-version            "2.36">
-<!ENTITY biber-version                "2.3">
-<!ENTITY biblatex-version             "3.2">
+<!ENTITY biber-version                "2.4">
+<!ENTITY biblatex-version             "3.3">
 <!ENTITY xindy-version                "2.5.1">
 
Index: pst/typesetting/biber.xml
===================================================================
--- pst/typesetting/biber.xml	(revision 209ffd56858516cfaab99cba0d9758e5dd450c0b)
+++ pst/typesetting/biber.xml	(revision 35b6a2ee46ce3403c0e087dbf793897f745fc83b)
@@ -5,12 +5,13 @@
   %general-entities;
 
-<!--  <!ENTITY biber-download-http   "http://sourceforge.net/projects/biblatex-biber/files/biblatex-biber/&biber-version;/biblatex-biber.tar.gz">-->
-  <!ENTITY biber-download-http   "&sources-anduin-http;/biblatex-biber/biblatex-biber-&biber-version;.tar.gz">
-  <!ENTITY biber-download-ftp    "&sources-anduin-ftp;/biblatex-biber/biblatex-biber-&biber-version;.tar.gz">
-  <!ENTITY biber-md5sum          "8bcfcc5c66a357521a2977c699a8c289">
-  <!ENTITY biber-size            "2.0 MB">
+  <!ENTITY biber-download-http   "http://sourceforge.net/projects/biblatex-biber/files/biblatex-biber/&biber-version;/biblatex-biber.tar.gz">
+  <!ENTITY biber-download-ftp " ">
+<!-- <!ENTITY biber-download-http   "&sources-anduin-http;/biblatex-biber/biblatex-biber-&biber-version;.tar.gz">
+  <!ENTITY biber-download-ftp    "&sources-anduin-ftp;/biblatex-biber/biblatex-biber-&biber-version;.tar.gz">-->
+  <!ENTITY biber-md5sum          "530368acb20b0881e13d7df0e5976e11">
+  <!ENTITY biber-size            "1.1 MB">
   <!-- buildsize includes the installed biblatex -->
-  <!ENTITY biber-buildsize       "37 MB">
-  <!ENTITY biber-time            "less than 0.1 SBU (0.4 SBU to run the tests)">
+  <!ENTITY biber-buildsize       "32 MB">
+  <!ENTITY biber-time            "less than 0.1 SBU (0.8 SBU to run the tests)">
 
   <!ENTITY biblatex-download-http   "http://sourceforge.net/projects/biblatex/files/biblatex-&biblatex-version;/biblatex-&biblatex-version;.tds.tgz">
@@ -97,6 +98,8 @@
       <xref linkend="perl-business-ismn"/>
       <xref linkend="perl-business-issn"/>
+      <xref linkend="perl-class-accessor"/>
       <xref linkend="perl-data-compare"/>
       <xref linkend="perl-data-dump"/>
+      <xref linkend="perl-data-uniqid"/>
       <xref linkend="perl-date-simple"/>
       <xref linkend="perl-encode-eucjpascii"/>
@@ -139,42 +142,39 @@
     </para>
 
-    <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para role="required">
-      <xref linkend="perl-file-which"/>,
-      <xref linkend="perl-test-differences"/>,
-      <xref linkend="perl-test-pod"/> and
-      <xref linkend="perl-test-pod-coverage"/> (all needed to run the testsuite)
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional">
+      <xref linkend="perl-file-which"/> and
+      <xref linkend="perl-test-differences"/> to run the testsuite
     </para>
 
     <note>
 <!-- when a new release appears, use this para and link to sourceforge,
-     until we  have a versioned copy at anduin. \-\-\>
+     until we  have a versioned copy at anduin. -->
       <para>
         Although the tarball name is unversioned, it will untar to a
         correctly-versioned biblatex-biber-&biber-version; directory.
-      </para> -->
+      </para>
 
       <para>
-        It is possible to install (all) missing dependencies automatically.
+        It is almost possible to install all missing dependencies automatically.
         Except, from <application>perl-5.22.0</application> onwards,
         <xref linkend="perl-module-build"/> is no longer part of
-        the core distribution.  To automatically install the remaining perl
-        dependencies you will need to manually install that first.
+        the core perl distribution.  And for <xref linkend="perl-data-uniqid"/>
+        we have to patch it to skip over a test which always fails - that failing
+        test will probably break the automatic install.  To automatically install
+        the remaining perl dependencies you will need to manually install those
+        two modules first.
         You can then run <command>perl ./Build.PL</command> and when it
         prompts you, become the root user and run
         <command>./Build installdeps</command>
       </para>
-<!--
+    </note>
+
+    <note> <!-- remove this note when texlive-2016 is released -->
       <para>
-        If you run <command>./Build.PL</command> under versions of
-        <application>perl</application> after 5.20.2 it will tell you that the
-        version of <application>Unicode::Normalize</application> is too
-        <emphasis>new</emphasis>. In fact, the new version works, but is now
-        pure perl and takes longer to run : <emphasis>much</emphasis> longer
-        if you have a large bibliography.  You can find the old version at <ulink
-        url="http://backpan.perl.org/authors/id/S/SA/SADAHIRO/Unicode-Normalize-1.17.tar.gz"/>
-        and use the standard <xref linkend="perl-standard-install"/>
-        to install it if you wish. Further details are in the User Notes.
-      </para>-->
+        If you use external modules with biber, a change in v2.4 (to
+        \DeclareNameFormat) breaks at least some of them - if this applies to
+        you, you will need to update the affected module from CTAN.
+      </para>
     </note>
 
@@ -190,10 +190,10 @@
     commands:</para>
 
-<!--<screen><userinput>sed -i 's/ 44/ 43/' t/bcfvalidation.t &amp;&amp;-->
 <screen><userinput>perl ./Build.PL &amp;&amp;
 ./Build</userinput></screen>
 
     <para>To test the results, enter: <command>./Build test</command> - you will
-    require the en_GB.UTF-8 and sv_SE.UTF-8 locales. Some tests will fail : for
+    require the en_GB.UTF-8 and sv_SE.UTF-8 locales. Test 12 of t/sort-order.t
+    will fail : for
     speed the tests use system locales instead of the default Unicode::Collation
     algorithm, and some minor details of the locales in OSX (where development
@@ -210,10 +210,4 @@
   <sect2 role="commands">
     <title>Command Explanations</title>
-<!--
-    <para>
-      <parameter>sed -i 's/ 44/ 43/' t/bcfvalidation.t</parameter>: Although
-      the git master branch has 44 pairs of files for this test, the shipped
-      tarball only contains 43. The sed prevents it reporting a failure.
-    </para>-->
 
     <para>