Index: general/genlib/libassuan.xml
===================================================================
--- general/genlib/libassuan.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ general/genlib/libassuan.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -8,8 +8,8 @@
   <!ENTITY libassuan-download-ftp  "&gnupg-ftp;/libassuan/libassuan-&libassuan-version;.tar.bz2">
   <!ENTITY libassuan-download-ftp  " ">
-  <!ENTITY libassuan-md5sum        "d5cee3492f0e0c4fd537af798621dd5b">
-  <!ENTITY libassuan-size          "564 KB">
-  <!ENTITY libassuan-buildsize     "6.7 MB (with tests)">
-  <!ENTITY libassuan-time          "0.1 SBU (with tests)">
+  <!ENTITY libassuan-md5sum        "7194453152bb67e3d45da698762b5d6f">
+  <!ENTITY libassuan-size          "559 KB">
+  <!ENTITY libassuan-buildsize     "7.4 MB (with tests, add 3.4 MB for documentation)">
+  <!ENTITY libassuan-time          "0.1 SBU (with tests and documentation)">
 ]>
 
Index: general/genlib/libgpg-error.xml
===================================================================
--- general/genlib/libgpg-error.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ general/genlib/libgpg-error.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -8,7 +8,7 @@
   <!ENTITY libgpg-error-download-ftp  "&gnupg-ftp;/libgpg-error/libgpg-error-&libgpg-error-version;.tar.bz2">
   <!ENTITY libgpg-error-download-ftp  " ">
-  <!ENTITY libgpg-error-md5sum        "36e9e7e6fffefac1eae5a1a49f14ac4f">
-  <!ENTITY libgpg-error-size          "948 KB">
-  <!ENTITY libgpg-error-buildsize     "10 MB (with tests)">
+  <!ENTITY libgpg-error-md5sum        "133fed221ba8f63f5842858a1ff67cb3">
+  <!ENTITY libgpg-error-size          "951 KB">
+  <!ENTITY libgpg-error-buildsize     "13 MB (with tests)">
   <!ENTITY libgpg-error-time          "0.1 SBU (with tests)">
 ]>
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ general/prog/cmake.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "c426b5916ffb028a3e8d46702e0bf322">
-  <!ENTITY cmake-size          "8.8 MB">
-  <!ENTITY cmake-buildsize     "374 MB (add 732 MB for tests)">
-  <!ENTITY cmake-time          "2.1 SBU (add 3.2 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-md5sum        "9079201b76ca8d5b8b5337443369ae59">
+  <!ENTITY cmake-size          "9.0 MB">
+  <!ENTITY cmake-buildsize     "376 MB (add 901 MB for tests)">
+  <!ENTITY cmake-time          "2.0 SBU (add 3.2 SBU for tests, both using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ introduction/welcome/changelog.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -46,4 +46,28 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update to libinput-1.17.1. Fixes
+          <ulink url="&blfs-ticket-root;14820">#14820</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to btrfs-progs-5.11.1. Fixes
+          <ulink url="&blfs-ticket-root;14817">#14817</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to cmake-3.20.0. Fixes
+          <ulink url="&blfs-ticket-root;14815">#14815</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to libgpg-error-1.42. Fixes
+          <ulink url="&blfs-ticket-root;14813">#14813</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to libassuan-2.5.5. Fixes
+          <ulink url="&blfs-ticket-root;14812">#14812</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to libvpx-1.10.0. Fixes
+          <ulink url="&blfs-ticket-root;14741">#14741</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[timtas] - Update to bridge-utils-1.7.1. Fixes
           <ulink url="&blfs-ticket-root;14814">#14814</ulink>.</para>
Index: multimedia/libdriv/libvpx.xml
===================================================================
--- multimedia/libdriv/libvpx.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ multimedia/libdriv/libvpx.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -7,8 +7,8 @@
   <!ENTITY libvpx-download-http "https://github.com/webmproject/libvpx/archive/v&libvpx-version;/libvpx-&libvpx-version;.tar.gz">
   <!ENTITY libvpx-download-ftp  " ">
-  <!ENTITY libvpx-md5sum        "e5fab59896984392124d0bfaffc36e14">
-  <!ENTITY libvpx-size          "5.0 MB">
-  <!ENTITY libvpx-buildsize     "63 MB (add 1.3GB if running tests)">
-  <!ENTITY libvpx-time          "0.5 SBU (using parallelism=4), add 14 SBU if running tests, including download time">
+  <!ENTITY libvpx-md5sum        "cded283be38dc0078c3fbe751722efc5">
+  <!ENTITY libvpx-size          "5.1 MB">
+  <!ENTITY libvpx-buildsize     "64 MB (add 1.3GB if running tests)">
+  <!ENTITY libvpx-time          "1.5 SBU, add 41 SBU if running tests, including download time">
 ]>
 
@@ -85,7 +85,6 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="curl"/> (to download test files), 
-      <xref linkend="doxygen"/> and <xref linkend="php"/>
-      (to build the documentation)
+      <xref linkend="curl"/> (to download test files) and 
+      <xref linkend="doxygen"/> (to build documentation)
     </para>
 
@@ -114,12 +113,11 @@
 
     <para>
-       To test the results, issue: <command>make test</command>. Four tests are
-       known to fail. The test suite downloads several files as part of it's
-       test process.
-    </para>
-
-    <para>
-      Now, as the <systemitem class="username">root</systemitem>
-    user:
+      To test the results, issue:
+      <command>LD_LIBRARY_PATH=. make test</command>.
+      The test suite downloads several files as part of its test process.
+    </para>
+
+    <para>
+      Now, as the <systemitem class="username">root</systemitem> user:
     </para>
 
@@ -154,4 +152,9 @@
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
       href="../../xincludes/static-libraries.xml"/>
+
+    <para>
+      <command>LD_LIBRARY_PATH=.</command>: This is needed for the testsuite
+      to use the just built library.
+    </para>
 
   </sect2>
Index: packages.ent
===================================================================
--- packages.ent	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ packages.ent	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -46,5 +46,5 @@
 
 <!-- Chapter 5 -->
-<!ENTITY btrfs-progs-version          "5.11">
+<!ENTITY btrfs-progs-version          "5.11.1">
 <!ENTITY dosfstools-version           "4.2">
 <!ENTITY fuse3-version                "3.10.2">
@@ -130,5 +130,5 @@
 <!ENTITY libaio-version               "0.3.112">
 <!ENTITY libarchive-version           "3.5.1">
-<!ENTITY libassuan-version            "2.5.4">
+<!ENTITY libassuan-version            "2.5.5">
 <!ENTITY libatasmart-version          "0.19">
 <!ENTITY libatomic_ops-version        "7.6.10">
@@ -143,5 +143,5 @@
 <!ENTITY libgcrypt-version            "1.9.2">
 <!ENTITY libglade-version             "2.6.4">
-<!ENTITY libgpg-error-version         "1.41">
+<!ENTITY libgpg-error-version         "1.42">
 <!ENTITY libgrss-version              "0.7.0">
 <!ENTITY libgsf-version               "1.14.47">
@@ -336,6 +336,6 @@
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
-<!ENTITY cmake-major-version          "3.19">
-<!ENTITY cmake-minor-version          "7">
+<!ENTITY cmake-major-version          "3.20">
+<!ENTITY cmake-minor-version          "0">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
@@ -1005,5 +1005,5 @@
 <!ENTITY libtheora-version            "1.1.1">
 <!ENTITY libvorbis-version            "1.3.7">
-<!ENTITY libvpx-version               "1.9.0">
+<!ENTITY libvpx-version               "1.10.0">
 <!ENTITY mlt-version                  "6.24.0">
 <!ENTITY opal-version                 "3.10.10">
Index: postlfs/filesystems/btrfs-progs.xml
===================================================================
--- postlfs/filesystems/btrfs-progs.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ postlfs/filesystems/btrfs-progs.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -7,8 +7,8 @@
   <!ENTITY btrfs-progs-download-http "&kernel-dl;/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v&btrfs-progs-version;.tar.xz">
   <!ENTITY btrfs-progs-download-ftp  " ">
-  <!ENTITY btrfs-progs-md5sum        "1caf3677fc4ea245ff5aab363a0b956f">
+  <!ENTITY btrfs-progs-md5sum        "7a8d0201da222c838a89fb31511f8d86">
   <!ENTITY btrfs-progs-size          "2.1 MB">
-  <!ENTITY btrfs-progs-buildsize     "92 MB (add 2.7 GB for tests)">
-  <!ENTITY btrfs-progs-time          "0.2 SBU (add 45-90 SBU for tests, depending on disk speed)">
+  <!ENTITY btrfs-progs-buildsize     "93 MB (up to 2.7 GB are used during tests)">
+  <!ENTITY btrfs-progs-time          "0.2 SBU (add 50-100 SBU for tests, depending on disk speed)">
 ]>
 
@@ -170,11 +170,9 @@
 <!-- Template for failed test removal:-->
     <para>
-      To test the results, first disable some tests that fail and prevent
+      To test the results, first disable one test that fails and prevents
       the other ones to run:
     </para>
 
-<screen remap="test"><userinput>mv tests/fsck-tests/012-leaf-corruption/test.sh{,.broken}
-mv tests/misc-tests/046-seed-multi-mount/test.sh{,.broken}
-mv tests/convert-tests/019-ext4-copy-timestamps/test.sh{,.broken}</userinput></screen>
+<screen remap="test"><userinput>mv tests/fsck-tests/012-leaf-corruption/test.sh{,.broken}</userinput></screen>
 <!-- Substitute your test failure with the one above. -->
     <para>
@@ -292,5 +290,5 @@
         <listitem>
           <para>
-            converts from an ext2/3/4 filesystem to btrfs
+            converts from an ext2/3/4 or reiserfs filesystem to btrfs
           </para>
           <indexterm zone="btrfs-progs btrfs-convert">
Index: x/installing/libinput.xml
===================================================================
--- x/installing/libinput.xml	(revision 5ae6d41674004ac0698a5b9421bc1f4499f58d35)
+++ x/installing/libinput.xml	(revision 37ede2a3ada39c2265cddb44c2b28c06dc6ac173)
@@ -5,11 +5,11 @@
   %general-entities;
 
-  <!ENTITY libinput-version "1.17.0">
+  <!ENTITY libinput-version "1.17.1">
 
   <!ENTITY libinput-download-http "https://www.freedesktop.org/software/libinput/libinput-&libinput-version;.tar.xz">
   <!ENTITY libinput-download-ftp  " ">
-  <!ENTITY libinput-md5sum        "9d25bc0618a9abfaee1807358ed468b3">
-  <!ENTITY libinput-size          "600 KB">
-  <!ENTITY libinput-buildsize     "12 MB">
+  <!ENTITY libinput-md5sum        "284f078a1788a8ae947a5606087a5d92">
+  <!ENTITY libinput-size          "597 KB">
+  <!ENTITY libinput-buildsize     "15 MB">
   <!ENTITY libinput-time          "less than 0.1 SBU">
 ]>
@@ -248,4 +248,5 @@
           <seg>
             $XORG_PREFIX/libexec/libinput,
+            /etc/libinput,
             /usr/share/libinput, and (optionally)
             /usr/share/doc/libinput-&libinput-version;