Index: server/other/samba3.xml
===================================================================
--- server/other/samba3.xml	(revision 8f2d9b0474cecb18d18bab3d3b564c5e5113a127)
+++ server/other/samba3.xml	(revision 38b41c2eeda78eb5506c393e4d3510f4d1488e42)
@@ -7,8 +7,8 @@
 <!ENTITY samba3-download-http "http://us1.samba.org/samba/ftp/samba-&samba3-version;.tar.gz">
 <!ENTITY samba3-download-ftp "ftp://ftp.samba.org/pub/samba/samba-&samba3-version;.tar.gz">
-<!ENTITY samba3-md5sum "9cf2bcef71509a81687dec8732545400">
-<!ENTITY samba3-size "15.1 MB">
-<!ENTITY samba3-buildsize "141 MB">
-<!ENTITY samba3-time "2.11 SBU">
+<!ENTITY samba3-md5sum "217e489646a474b4fb69d5802c14bc6e">
+<!ENTITY samba3-size "15.3 MB">
+<!ENTITY samba3-buildsize "143 MB">
+<!ENTITY samba3-time "2.12 SBU">
 ]>
 
@@ -20,4 +20,6 @@
 <?dbhtml filename="samba3.html"?>
 <title>Samba-&samba3-version;</title>
+<indexterm zone="samba3">
+<primary sortas="a-Samba">Samba</primary></indexterm>
 
 <sect2>
@@ -85,6 +87,9 @@
     --with-fhs \
     --with-smbmount &amp;&amp;
-make &amp;&amp;
-make install &amp;&amp;
+make</command></userinput></screen>
+
+<para>Now, as the root user:</para>
+
+<screen><userinput role='root'><command>make install &amp;&amp;
 mv /usr/lib/samba/libsmbclient.so /usr/lib &amp;&amp;
 ln -sf ../libsmbclient.so /usr/lib/samba &amp;&amp;
@@ -163,12 +168,20 @@
 <title>Configuring <application>Samba</application></title>
 
+<sect3 id="samba3-config"><title>Config files</title>
+<para>/etc/samba/smb.conf</para>
+<indexterm zone="samba3 samba3-config">
+<primary sortas="e-etc-samba-smb.conf">/etc/samba/smb.conf</primary>
+</indexterm>
+</sect3>
+
 <sect3><title>Configuration overview and available documentation</title>
 
 <para>Due to the complexity and the many various uses for 
 <application>Samba</application>, complete configuration is well beyond the 
-scope of the BLFS book. Advanced configurations including setting up Primary 
-and Backup Domain Controllers are advanced topics and cannot be adequately 
-covered in BLFS (it should be noted, however, that a 
-<application>Samba</application> BDC cannot be used as a fallback for a 
+scope of the <acronym>BLFS</acronym> book. Advanced configurations including 
+setting up Primary and Backup Domain Controllers are advanced topics and 
+cannot be adequately covered in <acronym>BLFS</acronym> (it should be noted, 
+however, that a <application>Samba</application> <acronym>BDC</acronym> cannot 
+be used as a fallback for a 
 <application>Windows</application> <acronym>PDC</acronym>, and conversely, a 
 <application>Windows</application> <acronym>BDC</acronym> cannot be used as a 
@@ -209,29 +222,38 @@
 to gain access to the console, BLFS recommends setting up access to 
 <acronym>SWAT</acronym> using <application>Stunnel</application>.</para>
+<indexterm zone="samba3 samba3-swat-config">
+<primary sortas="g-SWAT">SWAT</primary></indexterm>
 
 <para>First you must add entries to <filename>/etc/services</filename> and 
 modify the <command>inetd</command>/<command>xinetd</command> 
 configuration.</para> 
+<indexterm zone="samba3 samba3-swat-config">
+<primary sortas="e-etc-services">/etc/services</primary></indexterm>
+<indexterm zone="samba3 samba3-swat-config">
+<primary sortas="e-etc-inetd.conf">/etc/inetd.conf</primary></indexterm>
+<indexterm zone="samba3 samba3-swat-config">
+<primary sortas="e-etc-xinetd.conf">/etc/xinetd.conf</primary></indexterm>
 
 <para>Add swat and swat_tunnel entries to 
-<filename>/etc/services</filename> with the following commands:</para>
-
-<screen><userinput><command>echo "swat            901/tcp" &gt;&gt; /etc/services &amp;&amp;
+<filename>/etc/services</filename> with the following commands issued as the 
+root user:</para>
+
+<screen><userinput role='root'><command>echo "swat            901/tcp" &gt;&gt; /etc/services &amp;&amp;
 echo "swat_tunnel     902/tcp" &gt;&gt; /etc/services</command></userinput></screen>
 
 <para>If <command>inetd</command> is used, the following command will add the 
-swat_tunnel entry to <filename>/etc/inetd.conf</filename>: </para>
-
-<screen><userinput><command>echo "swat_tunnel stream tcp nowait.400 root /usr/sbin/swat swat" \
+swat_tunnel entry to <filename>/etc/inetd.conf</filename> (as user root):</para>
+
+<screen><userinput role='root'><command>echo "swat_tunnel stream tcp nowait.400 root /usr/sbin/swat swat" \
     &gt;&gt; /etc/inetd.conf</command></userinput></screen>
 <para>Issue a <command>killall -HUP inetd</command> to reread the
 changed <filename>inetd.conf</filename> file.</para>
 
-<para>If <command>xinetd</command> is used, the following command will 
-add the swat_tunnel entry to <filename>/etc/xinetd.conf</filename> (you may 
-need to modify or remove the <quote>only_from</quote> line to include the
-desired host[s]):</para>
-
-<screen><userinput><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
+<para>If <command>xinetd</command> is used, the following command issued as 
+the root user will add the swat_tunnel entry to 
+<filename>/etc/xinetd.conf</filename> (you may need to modify or remove the 
+<quote>only_from</quote> line to include the desired host[s]):</para>
+
+<screen><userinput role='root'><command>cat &gt;&gt; /etc/xinetd.conf &lt;&lt; "EOF"</command>
 service swat_tunnel
 {
@@ -250,7 +272,10 @@
 
 <para>Next, you must add an entry for the swat service to the 
-<filename>/etc/stunnel/stunnel.conf</filename> file:</para>
-
-<screen><userinput><command>cat &gt;&gt; /etc/stunnel/stunnel.conf &lt;&lt; "EOF"</command>
+<filename>/etc/stunnel/stunnel.conf</filename> file (as user root):</para>
+<indexterm zone="samba3 samba3-swat-config"><primary 
+sortas="e-etc-stunnel-stunnel.conf">/etc/stunnel/stunnel.conf</primary>
+</indexterm>
+
+<screen><userinput role='root'><command>cat &gt;&gt; /etc/stunnel/stunnel.conf &lt;&lt; "EOF"</command>
 [swat]
 accept  = 901
@@ -260,7 +285,7 @@
 
 <para>Restart the <command>stunnel</command> daemon using the following 
-command:</para>
-
-<screen><userinput><command>/etc/rc.d/init.d/stunnel restart</command></userinput></screen>
+command as the root user:</para>
+
+<screen><userinput role='root'><command>/etc/rc.d/init.d/stunnel restart</command></userinput></screen>
 
 <para><acronym>SWAT</acronym> can be launched by pointing your web browser to 
@@ -275,4 +300,7 @@
 <application>Samba</application> build, you'll need to create an 
 <filename>/etc/pam.d/samba</filename> file.</para></note>
+<indexterm zone="samba3 samba3-swat-config"><primary 
+sortas="e-etc-pam.d-samba">/etc/pam.d/samba</primary>
+</indexterm>
 </sect3>
 
@@ -282,10 +310,11 @@
 services, and you wish to print to a printer attached to an 
 <acronym>SMB</acronym> client, you need to create an <acronym>SMB</acronym> 
-backend device. To create the device, issue the following command:</para>
+backend device. To create the device, issue the following command as the 
+root user:</para>
 
 <screen><userinput><command>ln -sf /usr/bin/smbspool /usr/lib/cups/backend/smb</command></userinput></screen>
 </sect3>
 
-<sect3><title>Installing bootscripts</title>
+<sect3 id="samba3-init"><title>Installing bootscripts</title>
 
 <para>For your convenience, boot scripts have been provided for
@@ -297,13 +326,17 @@
 script, <filename>winbind</filename>, starts the <command>winbindd</command> 
 daemon, used for providing Windows domain services to Linux clients.</para>
+<indexterm zone="samba3 samba3-init">
+<primary sortas="f-samba">samba</primary></indexterm>
+<indexterm zone="samba3 samba3-init">
+<primary sortas="f-winbind">winbind</primary></indexterm>
 
 <para>Install the <filename>samba</filename> script with the following 
-command:</para>
-
-<screen><userinput><command>make install-samba</command></userinput></screen>
+command issued as the root user:</para>
+
+<screen><userinput role='root'><command>make install-samba</command></userinput></screen>
 
 <para>If you also need the <filename>winbind</filename> script:</para>
 
-<screen><userinput><command>make install-winbind</command></userinput></screen>
+<screen><userinput role='root'><command>make install-winbind</command></userinput></screen>
 </sect3>
 
@@ -313,144 +346,303 @@
 <title>Contents</title>
 
-<para>The <application>Samba</application> package contains
-<command>findsmb</command>, 
-<command>mount.smbfs</command>,
-<command>net</command>,
-<command>nmbd</command>,
-<command>nmblookup</command>,
-<command>ntlm_auth</command>, 
-<command>pdbedit</command>, 
-<command>profiles</command>, 
-<command>rpcclient</command>,
-<command>smbcacls</command>,
-<command>smbclient</command>,
-<command>smbcontrol</command>,
-<command>smbcquotas</command>, 
-<command>smbd</command>,
-<command>smbmnt</command>, 
-<command>smbmount</command>, 
-<command>smbpasswd</command>,
-<command>smbspool</command>,
-<command>smbstatus</command>,
-<command>smbtar</command>, 
-<command>smbtree</command>, 
-<command>smbumount</command>, 
-<command>swat</command>,
-<command>tdbbackup</command>, 
-<command>tdbdump</command>, 
-<command>tdbtool</command>, 
-<command>testparm</command>,
-<command>testprns</command>,
-<command>wbinfo</command> and
-<command>winbindd</command>.</para>
+<segmentedlist>
+<segtitle>Installed Programs</segtitle>
+<segtitle>Installed Libraries</segtitle>
+<segtitle>Installed Directories</segtitle>
+
+<seglistitem>
+<seg>findsmb, mount.smbfs, net, nmbd, nmblookup, ntlm_auth, pdbedit, profiles, 
+rpcclient, smbcacls, smbclient, smbcontrol, smbcquotas, smbd, smbmnt, 
+smbmount, smbpasswd, smbspool, smbstatus, smbtar, smbtree, smbumount, swat, 
+tdbbackup, tdbdump, tdbtool, testparm, testprns, wbinfo and winbindd</seg>
+<seg>libnss_winbind.so, libnss_wins.so, libsmbclient.[so,a], the 
+pam_winbind.so <acronym>PAM</acronym> library and assorted character set, 
+filesystem and support modules.</seg>
+<seg>/etc/samba, /usr/lib/samba, /usr/share/samba, /var/cache/samba and 
+/var/lib/samba</seg>
+</seglistitem>
+</segmentedlist>
+
+<variablelist>
+<bridgehead renderas="sect3">Short Descriptions</bridgehead>
+<?dbfo list-presentation="list"?>
+
+<varlistentry id="findsmb">
+<term><command>findsmb</command></term>
+<listitem><para>lists information about machines that respond to 
+<acronym>SMB</acronym> name queries on a subnet.</para>
+<indexterm zone="samba3 findsmb">
+<primary sortas="b-findsmb">findsmb</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="mount.smbfs">
+<term><command>mount.smbfs</command></term>
+<listitem><para>is a symlink to <command>mountsmb</command> which provides 
+<command>/bin/mount</command> with a way to mount remote Windows (or
+<application>Samba</application>) fileshares.</para>
+<indexterm zone="samba3 mount.smbfs">
+<primary sortas="b-mount.smbfs">mount.smbfs</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="net">
+<term><command>net</command></term>
+<listitem><para>is a tool for administration of 
+<application>Samba</application> and remote <acronym>CIFS</acronym> servers,
+similar to the <command>net</command> utility for 
+<acronym>DOS</acronym>/Windows.</para>
+<indexterm zone="samba3 net">
+<primary sortas="b-net">net</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="nmbd">
+<term><command>nmbd</command></term>
+<listitem><para>is the <application>Samba</application>
+Net<acronym>BIOS</acronym> name server.</para>
+<indexterm zone="samba3 nmbd">
+<primary sortas="b-nmbd">nmbd</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="nmblookup">
+<term><command>nmblookup</command></term>
+<listitem><para>is used to query Net<acronym>BIOS</acronym> names and map 
+them to <acronym>IP</acronym> addresses.</para>
+<indexterm zone="samba3 nmblookup">
+<primary sortas="b-nmblookup">nmblookup</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="ntlm_auth">
+<term><command>ntlm_auth</command></term>
+<listitem><para>is a tool to allow external access to Winbind's 
+<acronym>NTLM</acronym> authentication function.</para>
+<indexterm zone="samba3 ntlm_auth">
+<primary sortas="b-ntlm_auth">ntlm_auth</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="pdbedit">
+<term><command>pdbedit</command></term>
+<listitem><para>is a tool used to manage the <acronym>SAM</acronym> 
+database.</para>
+<indexterm zone="samba3 pdbedit">
+<primary sortas="b-pdbedit">pdbedit</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="profiles">
+<term><command>profiles</command></term>
+<listitem><para>is a utility that reports and changes <acronym>SID</acronym>s 
+in Windows registry files. It currently only supports Windows NT.</para>
+<indexterm zone="samba3 profiles">
+<primary sortas="b-profiles">profiles</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="rpcclient">
+<term><command>rpcclient</command></term>
+<listitem><para>is used to execute MS-<acronym>RPC</acronym> client side 
+functions.</para>
+<indexterm zone="samba3 rpcclient">
+<primary sortas="b-rpcclient">rpcclient</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbcacls">
+<term><command>smbcacls</command></term>
+<listitem><para>is used to manipulate Windows NT access control lists.</para>
+<indexterm zone="samba3 smbcacls">
+<primary sortas="b-smbcacls">smbcacls</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbclient">
+<term><command>smbclient</command></term>
+<listitem><para>is a <acronym>SMB</acronym>/<acronym>CIFS</acronym> access 
+utility, similar to <acronym>FTP</acronym>.</para>
+<indexterm zone="samba3 smbclient">
+<primary sortas="b-smbclient">smbclient</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbcontrol">
+<term><command>smbcontrol</command></term>
+<listitem><para>is used to control running <command>smbd</command>, 
+<command>nmbd</command> and <command>winbindd</command> daemons.</para>
+<indexterm zone="samba3 smbcontrol">
+<primary sortas="b-smbcontrol">smbcontrol</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbcquotas">
+<term><command>smbcquotas</command></term>
+<listitem><para>is used to manipulate Windows NT quotas on 
+<acronym>SMB</acronym> file shares.</para>
+<indexterm zone="samba3 smbcquotas">
+<primary sortas="b-smbcquotas">smbcquotas</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbd">
+<term><command>smbd</command></term>
+<listitem><para>is the main <application>Samba</application> daemon which 
+provides <acronym>SMB</acronym>/<acronym>CIFS</acronym> services to 
+clients.</para>
+<indexterm zone="samba3 smbd">
+<primary sortas="b-smbd">smbd</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbmnt">
+<term><command>smbmnt</command></term>
+<listitem><para>is a helper application used by the 
+<command>smbmount</command> program to do the actual mounting of
+<acronym>SMB</acronym> shares. It can be installed setuid root if you want
+normal users to be able to mount their <acronym>SMB</acronym> shares.</para>
+<indexterm zone="samba3 smbmnt">
+<primary sortas="b-smbmnt">smbmnt</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbmount">
+<term><command>smbmount</command></term>
+<listitem><para>is usually invoked as <command>mount.smbfs</command> by the 
+<command>mount</command> command when using the 
+<parameter>-t smbfs</parameter> option, mounts a Linux <acronym>SMB</acronym> 
+filesystem.</para>
+<indexterm zone="samba3 smbmount">
+<primary sortas="b-smbmount">smbmount</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbpasswd">
+<term><command>smbpasswd</command></term>
+<listitem><para>changes a user's <application>Samba</application> 
+password.</para>
+<indexterm zone="samba3 smbpasswd">
+<primary sortas="b-smbpasswd">smbpasswd</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbspool">
+<term><command>smbspool</command></term>
+<listitem><para>sends a print job to an <acronym>SMB</acronym> printer.</para>
+<indexterm zone="samba3 smbspool">
+<primary sortas="b-smbspool">smbspool</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbstatus">
+<term><command>smbstatus</command></term>
+<listitem><para>reports current <application>Samba</application> 
+connections.</para>
+<indexterm zone="samba3 smbstatus">
+<primary sortas="b-smbstatus">smbstatus</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbtar">
+<term><command>smbtar</command></term>
+<listitem><para>is a shell script used for backing up 
+<acronym>SMB</acronym>/<acronym>CIFS</acronym> shares directly to Linux tape 
+drives or a file.</para>
+<indexterm zone="samba3 smbtar">
+<primary sortas="b-smbtar">smbtar</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbtree">
+<term><command>smbtree</command></term>
+<listitem><para>is a text-based <acronym>SMB</acronym> network browser.</para>
+<indexterm zone="samba3 smbtree">
+<primary sortas="b-smbtree">smbtree</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="smbumount">
+<term><command>smbumount</command></term>
+<listitem><para>is used by normal users to unmount <acronym>SMB</acronym> 
+filesystems, provided that it is setuid root.</para>
+<indexterm zone="samba3 smbumount">
+<primary sortas="b-smbumount">smbumount</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="swat">
+<term><command>swat</command></term>
+<listitem><para>is the <application>Samba</application> Web Administration 
+Tool.</para>
+<indexterm zone="samba3 swat">
+<primary sortas="b-swat">swat</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="tdbbackup">
+<term><command>tdbbackup</command></term>
+<listitem><para>is a tool for backing up or validating the integrity of 
+<application>Samba</application> <filename>.tdb</filename> files.</para>
+<indexterm zone="samba3 tdbbackup">
+<primary sortas="b-tdbbackup">tdbbackup</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="tdbdump">
+<term><command>tdbdump</command></term>
+<listitem><para> is a tool used to print the contents of a 
+<application>Samba</application> <filename>.tdb</filename> file.</para>
+<indexterm zone="samba3 tdbdump">
+<primary sortas="b-tdbdump">tdbdump</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="tdbtool">
+<term><command>tdbtool</command></term>
+<listitem><para>is a tool which allows simple database manipulation from the 
+command line.</para>
+<indexterm zone="samba3 tdbtool">
+<primary sortas="b-tdbtool">tdbtool</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="testparm">
+<term><command>testparm</command></term>
+<listitem><para>checks an <filename>smb.conf</filename> file for proper 
+syntax.</para>
+<indexterm zone="samba3 testparm">
+<primary sortas="b-testparm">testparm</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="testprns">
+<term><command>testprns</command></term>
+<listitem><para>tests printer names.</para>
+<indexterm zone="samba3 testprns">
+<primary sortas="b-testprns">testprns</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="wbinfo">
+<term><command>wbinfo</command></term>
+<listitem><para>queries a running <command>winbindd</command> daemon.</para>
+<indexterm zone="samba3 wbinfo">
+<primary sortas="b-wbinfo">wbinfo</primary>
+</indexterm></listitem>
+</varlistentry>
+
+<varlistentry id="winbindd">
+<term><command>winbindd</command></term>
+<listitem><para>resolves names from Windows NT servers.</para>
+<indexterm zone="samba3 winbindd">
+<primary sortas="b-winbindd">winbindd</primary>
+</indexterm></listitem>
+</varlistentry>
+
+</variablelist>
 
 </sect2>
 
-<sect2>
-<title>Description</title>
-<sect3><title>findsmb</title>
-<para><command>findsmb</command> lists information about machines that respond 
-to <acronym>SMB</acronym> name queries on a subnet.</para></sect3>
-<sect3><title>mount.smbfs</title>
-<para><command>mount.smbfs</command> provides <command>/bin/mount</command> 
-with a way to mount remote Windows (or 
-<application>Samba</application>) fileshares.</para></sect3>
-<sect3><title>net</title>
-<para><command>net</command> is a tool for administration of 
-<application>Samba</application> and remote <acronym>CIFS</acronym> servers, 
-similar to the net utility for <acronym>DOS</acronym>/Windows.</para></sect3>
-<sect3><title>nmbd</title>
-<para><command>nmbd</command> is the <application>Samba</application> 
-Net<acronym>BIOS</acronym> name server.</para></sect3>
-<sect3><title>nmblookup</title>
-<para><command>nmblookup</command> is used to query
-Net<acronym>BIOS</acronym> names and map them to <acronym>IP</acronym>
-addresses.</para></sect3>
-<sect3><title>ntlm_auth</title>
-<para><command>ntlm_auth</command> is a tool to allow external access to 
-Winbind's <acronym>NTLM</acronym> authentication function.</para></sect3>
-<sect3><title>pdbedit</title>
-<para><command>pdbedit</command> is a tool used to manage the 
-<acronym>SAM</acronym> database.</para></sect3>
-<sect3><title>profiles</title>
-<para><command>profiles</command> is a utility that reports and changes 
-<acronym>SID</acronym>s in Windows registry files. It currently only supports 
-NT.</para></sect3>
-<sect3><title>rpcclient</title>
-<para><command>rpcclient</command> is used to execute
-MS-<acronym>RPC</acronym> client side functions.</para></sect3>
-<sect3><title>smbcacls</title>
-<para><command>smbcacls</command> is used to manipulate NT access control
-lists.</para></sect3>
-<sect3><title>smbclient</title>
-<para><command>smbclient</command> is a <acronym>SMB</acronym>/<acronym>CIFS
-</acronym> access utility, similar to <acronym>FTP</acronym>.</para></sect3>
-<sect3><title>smbcontrol</title>
-<para><command>smbcontrol</command> is used to control running 
-<command>smbd</command>, <command>nmbd</command> and 
-<command>winbindd</command> daemons.</para></sect3>
-<sect3><title>smbcquotas</title>
-<para><command>smbcquotas</command> is used to manipulate NT quotas on 
-<acronym>SMB</acronym> file shares.</para></sect3>
-<sect3><title>smbd</title>
-<para><command>smbd</command> is the main
-<application>Samba</application> daemon.</para></sect3>
-<sect3><title>smbmnt</title>
-<para><command>smbmnt</command> is a helper application used by the 
-<command>smbmount</command> program to do the actual mounting of 
-<acronym>SMB</acronym> shares. It can be installed setuid root if you want 
-normal users to be able to mount their <acronym>SMB</acronym> 
-shares.</para></sect3>
-<sect3><title>smbmount</title>
-<para><command>smbmount</command>, usually invoked as 
-<command>mount.smbfs</command> by the <command>mount</command> command when 
-using the <quote>-t smbfs</quote> option, mounts a Linux <acronym>SMB</acronym> 
-filesystem.</para></sect3>
-<sect3><title>smbpasswd</title>
-<para><command>smbpasswd</command> changes a user's 
-<application>Samba</application> password.</para></sect3>
-<sect3><title>smbspool</title>
-<para><command>smbspool</command> sends a print job to an 
-<acronym>SMB</acronym> printer.</para></sect3>
-<sect3><title>smbstatus</title>
-<para><command>smbstatus</command> reports current
-<application>Samba</application> connections.</para></sect3>
-<sect3><title>smbtar</title>
-<para><command>smbtar</command> is a shell script used for backing up 
-<acronym>SMB</acronym>/<acronym>CIFS</acronym> shares directly to Linux tape 
-drives or a file.</para></sect3>
-<sect3><title>smbtree</title>
-<para><command>smbtree</command> is a text-based <acronym>SMB</acronym> 
-network browser.</para></sect3>
-<sect3><title>smbumount</title>
-<para><command>smbumount</command> is used by normal users to unmount 
-<acronym>SMB</acronym> filesystems, provided that it is setuid 
-root.</para></sect3>
-<sect3><title>swat</title>
-<para><command>swat</command> is the 
-<application>Samba</application> Web Administration Tool.</para></sect3>
-<sect3><title>tdbbackup</title>
-<para><command>tdbbackup</command> is a tool for backing up or validating the 
-integrity of <application>Samba</application> <filename>.tdb</filename> 
-files.</para></sect3>
-<sect3><title>tdbdump</title>
-<para><command>tdbdump</command> is a tool used to print the contents of a 
-<application>Samba</application> <filename>.tdb</filename> file.</para></sect3>
-<sect3><title>tdbtool</title>
-<para><command>tdbtool</command> is a tool which allows simple database 
-manipulation on the commandline.</para></sect3>
-<sect3><title>testparm</title>
-<para><command>testparm</command> checks an <filename>smb.conf</filename> file 
-for proper syntax.</para></sect3>
-<sect3><title>testprns</title>
-<para><command>testprns</command> tests printer names.</para></sect3>
-<sect3><title>wbinfo</title>
-<para><command>wbinfo</command> queries a running <command>winbindd</command> 
-daemon.</para></sect3>
-<sect3><title>winbindd</title>
-<para><command>winbindd</command> resolves names from NT servers.</para></sect3>
-
-</sect2>
-
 </sect1>
 