Index: general/genutils/graphviz.xml
===================================================================
--- general/genutils/graphviz.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ general/genutils/graphviz.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,7 +7,7 @@
   <!ENTITY graphviz-download-http "https://gitlab.com/graphviz/graphviz/-/archive/&graphviz-version;/graphviz-&graphviz-version;.tar.gz">
   <!ENTITY graphviz-download-ftp  " ">
-  <!ENTITY graphviz-md5sum        "0282856fa3a7e2b44d8351233f542c89">
+  <!ENTITY graphviz-md5sum        "a5ef25639826bd4d9c040c96b61d6e52">
   <!ENTITY graphviz-size          "29 MB">
-  <!ENTITY graphviz-buildsize     "251 MB">
+  <!ENTITY graphviz-buildsize     "206 MB">
   <!ENTITY graphviz-time          "0.7 SBU (using parallelism=4)">
 ]>
Index: general/prog/php.xml
===================================================================
--- general/prog/php.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ general/prog/php.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,6 +7,6 @@
   <!ENTITY php-download-http "https://www.php.net/distributions/php-&php-version;.tar.xz">
   <!ENTITY php-download-ftp  " ">
-  <!ENTITY php-md5sum        "349ee590787ab46e62dae517d90b5101">
-  <!ENTITY php-size          "10.2 MB">
+  <!ENTITY php-md5sum        "d6bf70d71969f4829fbeee30fed77fb8">
+  <!ENTITY php-size          "10.3 MB">
   <!ENTITY php-buildsize     "446 MB (with tests, add 182 MB for documentation)">
   <!ENTITY php-time          "1.6 SBU (with parallelism=4; add 2.1 SBU for tests)">
@@ -19,4 +19,5 @@
        No timeouts, one failure on 8.0.9 -bdubbs
        No timeouts on 8.0.10 - thomas
+       No timeouts on 8.0.11 - thomas
 
 TEST RESULT SUMMARY
@@ -25,15 +26,14 @@
 Exts tested     :   48
 
-
-Number of tests : 16397             12639
+Number of tests : 16408             12646
 Tests borked    :    3 (  0.0%)
-Tests skipped   : 3755 ( 22.9%)
+Tests skipped   : 3759 ( 22.9%)
 Tests warned    :    2 (  0.0%) (  0.0%)
 Tests failed    :   29 (  0.2%) (  0.2%)
 Expected fail   :   30 (  0.2%) (  0.2%)
-Tests passed    : 12578 ( 76.7%) ( 99.5%)
-
-Time taken      :  583 seconds
-       -->
+Tests passed    : 12585 ( 76.7%) ( 99.5%)
+
+Time taken      :  520 seconds
+-->
 ]>
 
Index: general/prog/pycryptodome.xml
===================================================================
--- general/prog/pycryptodome.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ general/prog/pycryptodome.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,7 +7,7 @@
   <!ENTITY pycryptodome-download-http "https://github.com/Legrandin/pycryptodome/archive/v&pycryptodome-version;/pycryptodome-&pycryptodome-version;.tar.gz">
   <!ENTITY pycryptodome-download-ftp  " ">
-  <!ENTITY pycryptodome-md5sum        "31f5e8c91e8e0fa45da14271b394bba4">
+  <!ENTITY pycryptodome-md5sum        "f5db066c3bffedc681591894e434640a">
   <!ENTITY pycryptodome-size          "15 MB">
-  <!ENTITY pycryptodome-buildsize     "58 MB">
+  <!ENTITY pycryptodome-buildsize     "52 MB">
   <!ENTITY pycryptodome-time          "0.1 SBU">
 ]>
Index: gnome.ent
===================================================================
--- gnome.ent	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ gnome.ent	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -22,5 +22,5 @@
 <!ENTITY rest-version                      "0.8.1">
 <!ENTITY totem-pl-parser-version           "3.26.6">
-<!ENTITY vte-version                       "0.64.2">
+<!ENTITY vte-version                       "0.66.0">
 <!ENTITY yelp-xsl-version                  "40.2">
 <!ENTITY GConf-version                     "3.2.6">
Index: gnome/platform/vte.xml
===================================================================
--- gnome/platform/vte.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ gnome/platform/vte.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -5,9 +5,9 @@
   %general-entities;
 
-  <!ENTITY vte-download-http "https://gitlab.gnome.org/GNOME/vte/-/archive/&vte-version;/vte-&vte-version;.tar.gz">
+  <!ENTITY vte-download-http "https://gitlab.gnome.org/GNOME/vte/-/archive/&vte-version;/vte-&vte-version;.tar.bz2">
   <!ENTITY vte-download-ftp  " ">
-  <!ENTITY vte-md5sum        "692a2656eaf84165e2c8ffe9d84137d9">
-  <!ENTITY vte-size          "604 KB">
-  <!ENTITY vte-buildsize     "10 MB (with tests)">
+  <!ENTITY vte-md5sum        "2aca6831c1af291bc7bf11ceca603aeb">
+  <!ENTITY vte-size          "491 KB">
+  <!ENTITY vte-buildsize     "13 MB (with tests)">
   <!ENTITY vte-time          "0.3 SBU (using parallelism=4; with tests)">
   <!-- Consolidating Tests/No Tests in GNOME sections for consistency. -->
@@ -93,10 +93,9 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="fribidi"/>,
-      <xref linkend="gtk-doc"/>, and
-      <xref linkend="gtk4"/>
-      <!-- Does not currently work unless you pass -Dgtk4=true to meson. However,
-           it's not looking for gtk-4, it's looking for gtk+-4, so it will still
-           fail to build for now.-->
+      <xref linkend="fribidi"/> and
+      <xref linkend="gtk-doc"/>
+<!--      <xref linkend="gtk4"/>
+           The  -Dgtk4=true option just returns
+           'not supported on this branch; use git master' -->
     </para>
 
@@ -154,6 +153,6 @@
 
     <para>
-      <parameter>-Dfribidi=false</parameter>: Omit this switch if want to enable
-      bidirectional capabilities.
+      <parameter>-Dfribidi=false</parameter>: Omit this switch if you want
+      to enable bidirectional capabilities.
     </para>
 
@@ -173,5 +172,6 @@
     </para>
 
-    <!-- Uncomment once vte knows how to look for the proper gtk4
+    <!-- Uncomment once vte supports it (only git branch "master" supports it
+         as of vte-0.66.0)
     <para>
       <option>-Dgtk4=true</option>: Add this switch to build the GTK4 widget.
@@ -204,5 +204,5 @@
         <seg>
           /usr/include/vte-2.&vte-nano; and
-          /usr/share/gtk-doc/html/vte-2.&vte-nano;
+          (optional) /usr/share/gtk-doc/html/vte-2.&vte-nano;
         </seg>
       </seglistitem>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ introduction/welcome/changelog.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -43,4 +43,62 @@
     -->
     <listitem>
+      <para>September 26th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[thomas] - Update to php-8.0.11. Fixes
+          <ulink url="&blfs-ticket-root;15611">#15611</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <para>September 25th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to pipewire-0.3.37. Fixes
+          <ulink url="&blfs-ticket-root;15613">#15613</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to graphviz-2.49.1. Fixes
+          <ulink url="&blfs-ticket-root;15610">#15610</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to pycryptodome-3.10.4. Fixes
+          <ulink url="&blfs-ticket-root;15607">#15607</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libreoffice-7.2.1.2. Fixes
+          <ulink url="&blfs-ticket-root;15553">#15553</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
+    <listitem>
+      <para>September 24th, 2021</para>
+      <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to vte-0.66.0. Fixes
+          <ulink url="&blfs-ticket-root;15608">#15608</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to curl-7.79.1. Fixes
+          <ulink url="&blfs-ticket-root;15600">#15600</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to pidgin-2.14.7. Fixes
+          <ulink url="&blfs-ticket-root;15564">#15564</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[pierre] - Update to thunderbird-91.1.1. Fixes
+          <ulink url="&blfs-ticket-root;15554">#15554</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[thomas] - Update to mousepad-0.5.7. Fixes
+          <ulink url="&blfs-ticket-root;15609">#15609</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
+    <listitem>
       <para>September 23rd, 2021</para>
       <itemizedlist>
Index: multimedia/libdriv/pipewire.xml
===================================================================
--- multimedia/libdriv/pipewire.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ multimedia/libdriv/pipewire.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,5 +7,5 @@
   <!ENTITY pipewire-download-http "https://github.com/PipeWire/pipewire/archive/&pipewire-version;/pipewire-&pipewire-version;.tar.gz">
   <!ENTITY pipewire-download-ftp  " ">
-  <!ENTITY pipewire-md5sum        "5062358d8c02e3850ab2234267151403">
+  <!ENTITY pipewire-md5sum        "d4c7ed5edab55b944d8e0570856aa60a">
   <!ENTITY pipewire-size          "1.6 MB">
   <!ENTITY pipewire-buildsize     "71 MB (with tests)">
Index: networking/netlibs/curl.xml
===================================================================
--- networking/netlibs/curl.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ networking/netlibs/curl.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,8 +7,8 @@
   <!ENTITY curl-download-http "https://curl.se/download/curl-&curl-version;.tar.xz">
   <!ENTITY curl-download-ftp  " ">
-  <!ENTITY curl-md5sum        "24408ce0068de0ae7871039451ad6f97">
+  <!ENTITY curl-md5sum        "74d3c4ca8aaa6c0619806d6e246e65fb">
   <!ENTITY curl-size          "2.4 MB">
-  <!ENTITY curl-buildsize     "96 MB (add 20 MB for tests)">
-  <!ENTITY curl-time          "0.3 SBU (add 18 SBU for tests)">
+  <!ENTITY curl-buildsize     "102 MB (add 19 MB for tests)">
+  <!ENTITY curl-time          "0.3 SBU (with parallelism=4; add 15 SBU for tests)">
 ]>
 
@@ -174,6 +174,6 @@
     <para>
        To run the test suite, issue: <command>make test</command>.
-       Four tests, 1139, 1140, 1173, and 1177, are known to fail due to
-       missing executables from the optional dependencies.
+<!--       Four tests, 1139, 1140, 1173, and 1177, are known to fail due to
+       missing executables from the optional dependencies.-->
     </para>
 <!-- Two (of 857) tests
@@ -325,4 +325,11 @@
 
 Tests have all BLFS dependencies installed but without impacket.
+
+======
+Added by plabs for curl-7.79.1:
+TESTDONE: 1434 tests were considered during 1652 seconds.
+TESTDONE: 1171 tests out of 1171 reported OK: 100%
+
+Tests have all BLFS dependencies installed except stunnel but without impacket.
 -->
 
Index: packages.ent
===================================================================
--- packages.ent	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ packages.ent	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -252,5 +252,5 @@
 <!ENTITY desktop-file-utils-version   "0.26">
 <!ENTITY gperf-version                "3.0.4">
-<!ENTITY graphviz-version             "2.49.0">
+<!ENTITY graphviz-version             "2.49.1">
 <!ENTITY gtk-doc-major                "1.33">
 <!ENTITY gtk-doc-version              "1.33.2">
@@ -358,5 +358,5 @@
 <!ENTITY ninja-version                "1.9.0">
 <!ENTITY npapi-sdk-version            "0.27.2">
-<!ENTITY php-version                  "8.0.10">
+<!ENTITY php-version                  "8.0.11">
 
 <!ENTITY python2-majorver             "2.7">
@@ -587,5 +587,5 @@
 <!ENTITY pycairo-version              "1.20.1">
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
-<!ENTITY pycryptodome-version         "3.10.1">
+<!ENTITY pycryptodome-version         "3.10.4">
 <!ENTITY pygments-version             "2.10.0">
 <!ENTITY pygobject2-version           "2.28.7">
@@ -638,5 +638,5 @@
 <!-- Chapter 17 -->
 <!ENTITY c-ares-version               "1.17.2">
-<!ENTITY curl-version                 "7.79.0">
+<!ENTITY curl-version                 "7.79.1">
 <!ENTITY geoclue2-version             "2.5.7">
 <!ENTITY glib-networking-version      "2.70.0">
@@ -868,5 +868,5 @@
 <!ENTITY midori-version               "0.5.11">
 <!ENTITY parole-version               "4.16.0">
-<!ENTITY mousepad-version             "0.5.6">
+<!ENTITY mousepad-version             "0.5.7">
 <!ENTITY vte2-version                 "0.28.2">
 <!ENTITY xfce4-terminal-version       "0.8.10">
@@ -933,6 +933,6 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "7.2.0">
-<!ENTITY libreoffice-patch            ".4">
+<!ENTITY libreoffice-version          "7.2.1">
+<!ENTITY libreoffice-patch            ".2">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
@@ -966,8 +966,8 @@
 <!ENTITY pan-version                  "0.133">
 <!ENTITY pavucontrol-version          "5.0">
-<!ENTITY pidgin-version               "2.14.6">
+<!ENTITY pidgin-version               "2.14.7">
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.26">
-<!ENTITY thunderbird-version          "91.1.0">
+<!ENTITY thunderbird-version          "91.1.1">
 <!ENTITY tigervnc-version             "1.11.0">
 <!ENTITY transmission-version         "3.00">
@@ -1030,5 +1030,5 @@
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">
-<!ENTITY pipewire-version             "0.3.36">
+<!ENTITY pipewire-version             "0.3.37">
 <!ENTITY pulseaudio-major-version     "15.0">
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
Index: postlfs/editors/mousepad.xml
===================================================================
--- postlfs/editors/mousepad.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ postlfs/editors/mousepad.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -8,6 +8,6 @@
            "https://archive.xfce.org/src/apps/mousepad/0.5/mousepad-&mousepad-version;.tar.bz2">
   <!ENTITY mousepad-download-ftp  " ">
-  <!ENTITY mousepad-md5sum        "96fa4d1cb7a522104d7dd41943c8b382">
-  <!ENTITY mousepad-size          "896 KB">
+  <!ENTITY mousepad-md5sum        "7a6f55db9d1cbf75e268b4789e848e11">
+  <!ENTITY mousepad-size          "899 KB">
   <!ENTITY mousepad-buildsize     "16 MB">
   <!ENTITY mousepad-time          "0.1 SBU">
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ xsoft/office/libreoffice.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -8,17 +8,17 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "a4f2e92dc6829d556156ec7a13a965b8">
+  <!ENTITY libreoffice-core-md5sum        "2631963c2d42eab66f34c1e57e00a995">
   <!ENTITY libreoffice-core-size          "241 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "885d9cb74978ac389d007a44c63f9fe9">
+  <!ENTITY libreoffice-dict-md5sum        "e91a96bc9380bfb8b0226321d05bf5e1">
   <!ENTITY libreoffice-dict-size          "48 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "92f52be4258eb3a5e409f02a99401826">
+  <!ENTITY libreoffice-help-md5sum        "f1f2a39364cc565c2c1970a33c54a3fc">
   <!ENTITY libreoffice-help-size          "107 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "702e9c5ad967830ab1cc72a93dffb61a">
+  <!ENTITY libreoffice-translations-md5sum        "bdbba4aa3c9283cdd5399822d27e9310">
   <!ENTITY libreoffice-translations-size          "184 MB">
 
@@ -343,4 +343,12 @@
 
     <para>
+     First, fix a problem if bison-3.8 or later is installed:
+    </para>
+
+<screen><userinput>if bison --version|grep -q 3.8; then
+  sed -i 's/yyn/yyrule/' connectivity/source/parse/sqlbison.y
+fi</userinput></screen>
+
+    <para>
      Fix build failures introduced by the latest freetype version:
     </para>
Index: xsoft/other/pidgin.xml
===================================================================
--- xsoft/other/pidgin.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ xsoft/other/pidgin.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,7 +7,7 @@
   <!ENTITY pidgin-download-http "&sourceforge-dl;/pidgin/pidgin-&pidgin-version;.tar.bz2">
   <!ENTITY pidgin-download-ftp  " ">
-  <!ENTITY pidgin-md5sum        "bba0fd38ee1d8b9b725c4dbdc33e58e7">
+  <!ENTITY pidgin-md5sum        "476d808a268c693adcc8fc5c952dadd4">
   <!ENTITY pidgin-size          "8.3 MB">
-  <!ENTITY pidgin-buildsize     "297 MB (with tests and docs)">
+  <!ENTITY pidgin-buildsize     "302 MB (with tests and docs)">
   <!ENTITY pidgin-time          "0.6 SBU (using parallelism=4; with tests and docs)">
 ]>
@@ -70,4 +70,15 @@
       </listitem>
     </itemizedlist>
+
+    <bridgehead renderas="sect3">Additional Downloads</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>
+          Required patch:
+          <ulink url="&patch-root;/pidgin-&pidgin-version;-fix_time_conv-1.patch"/>
+        </para>
+      </listitem>
+    </itemizedlist>
+
 
     <bridgehead renderas="sect3">Pidgin Dependencies</bridgehead>
@@ -141,18 +152,17 @@
 
     <para>
-      If you wish to run the test suite, make sure that <xref
-      linkend="libidn"/> is installed and remove the switch
-      <quote>--disable-idn</quote>. Compile <application>Pidgin</application>
-      by running the following commands:
-    </para>
-
-<!-- - -with-gstreamer=1.0 is removed and gstreamer support is disabled
-     because of a build problem when both this and - -disable-vv are present.
-     See https://hastebin.com/utiwijizad.rb for more details, and check again
-     at the next version (2.14.1 or 3.0 - whichever is next). -->
+      First, apply a patch that fixes time to string conversions:
+    </para>
+
+<screen><userinput>patch -Np1 -i ../pidgin-&pidgin-version;-fix_time_conv-1.patch</userinput></screen>
+
+    <para>
+      Compile <application>Pidgin</application> by running the following
+      commands:
+    </para>
 
 <screen><userinput>./configure --prefix=/usr        \
             --sysconfdir=/etc    \
-            --disable-gstreamer  \
+            --with-gstreamer=1.0 \
             --disable-avahi      \
             --disable-gtkspell   \
@@ -172,6 +182,5 @@
 
     <para>
-      Remember the remarks before <command>configure</command>. To test the
-      results, issue: <command>make check</command>.
+      To test the results, issue: <command>make check</command>.
     </para>
 
@@ -191,5 +200,5 @@
 <screen role="root"
         remap="doc"><userinput>mkdir -pv /usr/share/doc/pidgin-&pidgin-version;/api &amp;&amp;
-cp -v doc/html/* /usr/share/doc/pidgin-&pidgin-version;/api</userinput></screen>
+cp -rv doc/html/* /usr/share/doc/pidgin-&pidgin-version;/api</userinput></screen>
 
     <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
@@ -201,19 +210,8 @@
     <title>Command Explanations</title>
 
-<!--
-    <para>
-      <parameter>- -with-gstreamer=1.0</parameter>: Remove this switch
-      and add <option>- -disable-gstreamer</option>
+    <para>
+      <parameter>--with-gstreamer=1.0</parameter>: Remove this switch
+      and add <option>--disable-gstreamer</option>
       if you've not installed <xref linkend="gstreamer10"/>.
-    </para>
--->
-    <para>
-      <parameter>--disable-gstreamer</parameter>: This switch disables gstreamer
-      support because there are problems with the build when Voice/Video support
-      is disabled, and gstreamer is enabled.
-      <!-- The problems exist within gst_device_monitor. See
-           https://hastebin.com/utiwijizad.rb for more details.
-           FIXME: Check this at the next release of pidgin, or if we ever add
-           Farstream. -->
     </para>
 
@@ -253,10 +251,5 @@
       flag.
     </para>
-<!--
-    <para>
-      <parameter>- -disable-tcl</parameter>: Remove this switch if you've
-      installed <xref linkend="tcl"/>.
-    </para>
-i-->
+
     <para>
       <option>--enable-cyrus-sasl</option>: Use this switch if you've installed
@@ -318,22 +311,14 @@
       <seglistitem>
         <seg>
-          <!--finch,--> pidgin, purple-client-example,
+          pidgin, purple-client-example,
           purple-remote, purple-send, purple-send-async, and
           purple-url-handler
         </seg>
         <seg>
-          <!--libgnt.so,--> libpurple.so, and libpurple-client.so
+          libpurple.so, and libpurple-client.so
         </seg>
         <seg>
-        <!--
-          /usr/include/finch,
-          /usr/include/gnt,
-        -->
           /usr/include/libpurple,
           /usr/include/pidgin,
-        <!--
-          /usr/lib/finch,
-          /usr/lib/gnt,
-        -->
           /usr/lib/pidgin,
           /usr/lib/purple-2,
@@ -351,17 +336,4 @@
       <?dbhtml list-presentation="table"?>
 
- <!-- Seems to be removed with 2.14.0
-      <varlistentry id="finch">
-        <term><command>finch</command></term>
-        <listitem>
-          <para>
-            is a text-based instant messaging client.
-          </para>
-          <indexterm zone="pidgin finch">
-            <primary sortas="b-finch">finch</primary>
-          </indexterm>
-        </listitem>
-      </varlistentry>
--->
       <varlistentry id="pidgin-prog">
         <term><command>pidgin</command></term>
Index: xsoft/other/thunderbird.xml
===================================================================
--- xsoft/other/thunderbird.xml	(revision ebc34210213b774325cd5bae537a924dcf707644)
+++ xsoft/other/thunderbird.xml	(revision 39f58488db7f0269ad5289ef247c479ac208fe87)
@@ -7,8 +7,8 @@
   <!ENTITY thunderbird-download-http "&mozilla-http;/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;.source.tar.xz">
   <!ENTITY thunderbird-download-ftp  " ">
-  <!ENTITY thunderbird-md5sum        "4954fa2b4c55e475e4d3533ac03f6f1f">
-  <!ENTITY thunderbird-size          "385 MB">
+  <!ENTITY thunderbird-md5sum        "69225a7fafca53680bd6a9f1e0eb0ae1">
+  <!ENTITY thunderbird-size          "383 MB">
   <!ENTITY thunderbird-buildsize     "6.9 GB (202 MB installed)">
-  <!ENTITY thunderbird-time          "30 SBU (on a 4-core machine)">
+  <!ENTITY thunderbird-time          "27 SBU (on a 4-core machine)">
   <!-- Removed the -j1 time because python and rust do not obey it, although
        the C/C++ code appears to obey it -->